﻿<?php
// ------------------------------------------------------------------------- //
// Coppermine Photo Gallery 1.3.0                                            //
// ------------------------------------------------------------------------- //
// Copyright (C) 2002-2004 Gregory DEMAR                                     //
// http://www.chezgreg.net/coppermine/                                       //
// ------------------------------------------------------------------------- //
// Updated by the Coppermine Dev Team                                        //
// (http://coppermine.sf.net/team/)                                          //
// see /docs/credits.html for details                                        //
// ------------------------------------------------------------------------- //
// This program is free software; you can redistribute it and/or modify      //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// (at your option) any later version.                                       //
// ------------------------------------------------------------------------- //
// $Id: hebrew-utf-8.php,v 1.7 2004/06/11 09:20:06 tarique Exp $
// ------------------------------------------------------------------------- //

// info about translators and translated language
$lang_translation_info = array(
'lang_name_english' => 'Hebrew',
'lang_name_native' => '×¢×‘×¨×™×ª',
'lang_country_code' => 'he',
'trans_name'=> 'Eyal Zvi',
'trans_email' => 'eyal @at@ zvi.org',
'trans_website' => 'http://zvi.org',
'trans_date' => '2004-04-04',
);

$lang_charset = 'utf-8';
$lang_text_dir = 'RTL';

// shortcuts for Byte, Kilo, Mega
$lang_byte_units = array('Bytes', 'KB', 'MB');

// Day of weeks and months
$lang_day_of_week = array("×'", "×‘'", "×’'", "×“'", "×”'", "×•'", "×©'");
$lang_month = array("×™× ×•'", "×¤×‘×¨'", "×ž×¨×¥", "××¤×¨'", "×ž××™", "×™×•× ×™", "×™×•×œ×™", "××•×’'", "×¡×¤×˜'", "××•×§'", "× ×•×‘'", "×“×¦×ž'");

// Some common strings
$lang_yes = '×›×Ÿ';
$lang_no  = '×œ×';
$lang_back = '×—×–×¨×”';
$lang_continue = '×”×ž×©×š';
$lang_info = '×ž×™×“×¢';
$lang_error = '×©×’×™××”';

// The various date formats
// See http://www.php.net/manual/en/function.strftime.php to define the variable below
$album_date_fmt =    '%d %b %Y';
$lastcom_date_fmt =  '%d %b %Y, %H:%M';
$lastup_date_fmt = '%d %b %Y';
$register_date_fmt = '%d %b %Y';
$lasthit_date_fmt = '%d %b %Y, %H:%M';
$comment_date_fmt =  '%d %b %Y, %H:%M';

// For the word censor
$lang_bad_words = array('*fuck*', 'asshole', 'assramer', 'bitch*', 'c0ck', 'clits', 'Cock', 'cum', 'cunt*', 'dago', 'daygo', 'dego', 'dick*', 'dildo', 'fanculo', 'feces', 'foreskin', 'Fu\(*', 'fuk*', 'honkey', 'hore', 'injun', 'kike', 'lesbo', 'masturbat*', 'motherfucker', 'nazis', 'nigger*', 'nutsack', 'penis', 'phuck', 'poop', 'pussy', 'scrotum', 'shit', 'slut', 'titties', 'titty', 'twaty', 'wank*', 'whore', 'wop*');

$lang_meta_album_names = array(
	'random' => '×§×‘×¦×™× ×‘×‘×—×™×¨×” ××§×¨××™×ª',
	'lastup' => '×§×‘×¦×™× ××—×¨×•× ×™× ×©× ×•×¡×¤×•',
        'lastalb'=> '××œ×‘×•×ž×™× ××—×¨×•× ×™× ×©×¢×•×“×›× ×•',
	'lastcom' => '×”×¢×¨×•×ª ××—×¨×•× ×•×ª',
	'topn' => '× ×¦×¤×™× ×‘×™×•×ª×¨',
	'toprated' => '×–×›×• ×œ×“×¨×•×’×™× ×”×’×‘×•×”×™× ×‘×™×•×ª×¨',
	'lasthits' => '× ×¦×¤×• ×œ××—×¨×•× ×”',
	'search' => '×ª×•×¦××•×ª ×—×™×¤×•×©',
        'favpics'=> '×§×‘×¦×™× ×ž×•×¢×“×¤×™×'
);

$lang_errors = array(
	'access_denied' => '××™×Ÿ ×œ×š ×”×¨×©××” ×œ×¦×¤×•×ª ×‘×¢×ž×•×“ ×–×”.',
	'perm_denied' => '××™×Ÿ ×œ×š ×”×¨×©××” ×œ×‘×¦×¢ ×¤×¢×•×œ×” ×–×•.',
	'param_missing' => '×”×ª×›× ×™×ª (Script) × ×§×¨××” ×œ×œ× ×”×¤×¨×ž×˜×¨×™× ×”× ×—×•×¦×™× ×œ×¤×¢×•×œ×ª×”.',
	'non_exist_ap' => '×”××œ×‘×•× ××• ×”×§×•×‘×¥ ×©×‘×—×¨×ª ××™× × ×§×™×™×ž×™×!',
	'quota_exceeded' => '×—×¨×™×’×” ×ž×”×§×¦××ª ×“×™×¡×§<br /><br />×”×•×§×¦×• ×œ×š [quota]K, ×ž×ª×•×›× × ×™×¦×œ×ª [space]K, ×›×š ×©×”×•×¡×¤×ª ×”×§×•×‘×¥ ×’×•×¨×ž×ª ×œ×—×¨×™×’×” ×ž×”× ×¤×— ×”×ž×•×ª×¨.',
	'gd_file_type_err' => '×¡×•×’×™ ×§×‘×¦×™ ×”×ª×ž×•× ×•×ª ×”×ž×•×ª×¨×™× ×”× Jpeg ×•- PNG.',
	'invalid_image' => '×§×•×‘×¥ ×”×ª×ž×•× ×” ×©×”×¢×œ×™×ª ×ž×©×•×‘×© ××• ×ž×¡×•×’ ×©××™× ×• × ×ª×ž×š ×¢×œ ×™×“×™ ×”×ž×¢×¨×›×ª.',
	'resize_failed' => '×ª×§×œ×” ×‘×™×¦×™×¨×ª ×“×•×’×ž×™×ª ××• ×ª×ž×•× ×” ×ž×•×§×˜× ×ª.',
	'no_img_to_display' => '××™×Ÿ ×ª×ž×•× ×” ×œ×”×¦×™×’.',
	'non_exist_cat' => '×”×§×˜×’×•×¨×™×” ×©×‘×—×¨×ª ××™× ×” ×§×™×™×ž×ª.',
	'orphan_cat' => '×§×˜×’×•×¨×™×” ××™× ×” ×ž×¡×•×•×’×ª ×›×¨××•×™. ×™×© ×œ×”×¤×¢×™×œ ××ª ×ª×›× ×™×ª × ×™×”×•×œ ×”×§×˜×’×•×¨×™×•×ª.',
	'directory_ro' => '×œ× × ×™×ª×Ÿ ×œ×›×ª×•×‘/×œ×ž×—×•×§ ×‘×ž×—×™×¦×” %s, ×œ×›×Ÿ ×œ× × ×™×ª×Ÿ ×œ×ž×—×•×§ ××ª ×”×§×‘×¦×™×.',
	'non_exist_comment' => '×”×”×¢×¨×” ×©× ×‘×—×¨×” ××™× ×” ×§×™×™×ž×ª.',
	'pic_in_invalid_album' => '×”×§×•×‘×¥ ×ž×©×•×™×™×š ×œ××œ×‘×•× ×œ× ×§×™×™× (%s) !?',
	'banned' => '× ××¡×¨ ×¢×œ×™×š ×œ×”×©×ª×ž×© ×‘××ª×¨ ×–×”.',
	'not_with_udb' => '×¤×¢×•×œ×” ×–×• ×—×¡×•×ž×”. ×”×’×œ×¨×™×” ×”×•×’×“×¨×” ×œ×¤×¢×•×œ ×‘×¡× ×›×¨×•×Ÿ ×¢× ×ª×›× ×™×ª ××—×¨×ª (×œ×ž×©×œ ×œ×•×— ×ž×•×“×¢×•×ª). ×”×¤×¢×•×œ×” ×”×ž×‘×•×§×©×ª ××™× ×” × ×ª×ž×›×ª ×‘×ž×¦×‘ ×–×” ××• ×©××ž×•×¨×” ×œ×”×ª×‘×¦×¢ ×¢×œ ×™×“×™ ×”×ª×›× ×™×ª ×”××—×¨×ª.',
	'offline_title' => '×œ× ×–×ž×™×Ÿ', //cpg1.3.0
	'offline_text' => '×”×’×œ×¨×™×” ××™× ×” ×¤×¢×™×œ×” ×›×¨×’×¢ - × × ×œ× ×¡×•×ª ×©×•×‘ ×‘×§×¨×•×‘', //cpg1.3.0
	'ecards_empty' => '××™×Ÿ ×¨×©×•×ž×•×ª ×©×œ ×’×œ×•×™×•×ª () ×œ×”×¦×’×”. ×™×© ×œ×‘×“×•×§ ×¢× ×ž×¢×§×‘ ×”×’×œ×•×™×•×ª ×ž×•×¤×¢×œ ×‘×ž×¡×š ×”×ª×¦×•×¨×”.', //cpg1.3.0
	'action_failed' => '×”×¤×¢×•×œ×” × ×›×©×œ×”. ×”×ª×•×›× ×” ××™× ×” ×™×›×•×œ×” ×œ×‘×¦×¢ ××ª ×‘×§×©×ª×š.', //cpg1.3.0
	'no_zip' => '×”×ª×•×›× ×” ××™× ×” ×ž×•×¦××ª ××ª ×ž×•×“×•×œ ×”×˜×™×¤×•×œ ×‘×§×‘×¦×™× ×“×—×•×¡×™× (ZIP). × × ×œ×¤× ×•×ª ×œ×ž× ×”×œ ×”×ž×¢×¨×›×ª.', //cpg1.3.0
	'zip_type' => '××™×Ÿ ×œ×š ×”×¨×©××” ×œ×”×¢×œ×•×ª ×§×‘×¦×™× ×“×—×•×¡×™× (ZIP).', //cpg1.3.0
);

$lang_bbcode_help = '××¤×©×¨ ×œ×”×ª×©×ž×© ×‘×§×•×“×™ ×”×¢×™×¦×•×‘ ×”×‘××™×: <li>[b]<b>×”×“×’×©×”</b>[/b]</li> <li>[i]<i>× ×˜×™×”</i>[/i]</li> <li>[url=http://yoursite.com/]×§×™×©×•×¨[/url]</li> <li>[email]user@domain.com[/email]</li>'; //cpg1.3.0

// ------------------------------------------------------------------------- //
// File theme.php
// ------------------------------------------------------------------------- //

$lang_main_menu = array(
	'alb_list_title' => '×“×œ×’ ×œ×¨×©×™×ž×ª ×”××œ×‘×•×ž×™×',
	'alb_list_lnk' => '×¨×©×™×ž×ª ××œ×‘×•×ž×™×',
	'my_gal_title' => '×“×œ×’ ×œ×’×œ×¨×™×” ×©×œ×™',
	'my_gal_lnk' => '×”×’×œ×¨×™×” ×©×œ×™',
	'my_prof_lnk' => '×”×¤×¨×•×¤×™×œ ×©×œ×™',
	'adm_mode_title' => '×ž×¢×‘×¨ ×œ×ž×¦×‘ ×ž× ×”×œ',
	'adm_mode_lnk' => '×ž×¦×‘ ×ž× ×”×œ',
	'usr_mode_title' => '×ž×¢×‘×¨ ×œ×ž×¦×‘ ×ž×©×ª×ž×©',
	'usr_mode_lnk' => '×ž×¦×‘ ×ž×©×ª×ž×©',
	'upload_pic_title' => '×”×•×¡×¤×ª ×§×•×‘×¥ ×œ××œ×‘×•×',
	'upload_pic_lnk' => '×”×•×¡×¤×ª ×§×•×‘×¥',
	'register_title' => '×¤×ª×™×—×ª ×—×©×‘×•×Ÿ ×ž×©×ª×ž×©',
	'register_lnk' => '×¨×™×©×•×',
	'login_lnk' => '×”×ª×—×‘×¨×•×ª',
	'logout_lnk' => '×”×ª× ×ª×§×•×ª',
	'lastup_lnk' => '×§×‘×¦×™× ××—×¨×•× ×™×',
	'lastcom_lnk' => '×”×¢×¨×•×ª ××—×¨×•× ×•×ª',
	'topn_lnk' => '× ×¦×¤×™× ×‘×™×•×ª×¨',
	'toprated_lnk' => '×ž×“×•×¨×’×™× ×¨××©×•× ×™×',
	'search_lnk' => '×—×™×¤×•×©',
	'fav_lnk' => '×”×ž×•×¢×“×¤×™× ×©×œ×™',
	'memberlist_title' => '×”×¦×’×ª ×¨×©×™×ž×ª ×—×‘×¨×™× ×¨×©×•×ž×™×', //cpg1.3.0
	'memberlist_lnk' => '×¨×©×™×ž×ª ×—×‘×¨×™×', //cpg1.3.0
	'faq_title' => '×ª×©×•×‘×•×ª ×œ×©××œ×•×ª × ×¤×•×¦×•×ª (FAQ) ×©×œ ×’×œ×¨×™×™×ª "Coppermine"', //cpg1.3.0
	'faq_lnk' => '×ª×©×•×‘×•×ª ×œ×©××œ×•×ª (FAQ)', //cpg1.3.0

);

$lang_gallery_admin_menu = array(
	'upl_app_lnk' => '××™×©×•×¨ ×”×•×¡×¤×”',
	'config_lnk' => '×ª×¦×•×¨×”',
	'albums_lnk' => '××œ×‘×•×ž×™×',
	'categories_lnk' => '×§×˜×’×•×¨×™×•×ª',
	'users_lnk' => '×ž×©×ª×ž×©×™×',
	'groups_lnk' => '×§×‘×•×¦×•×ª',
	'comments_lnk' => '×”×¢×¨×•×ª',
	'searchnew_lnk' => '×”×•×¡×¤×ª ×¡×“×¨×ª ×§×‘×¦×™×',
	'util_lnk' => '×¢×–×¨×™ × ×™×”×•×œ',
	'ban_lnk' => '×”×¨×—×§×ª ×ž×©×ª×ž×©×™×',
	'db_ecard_lnk' => '×”×¦×’×ª ×’×œ×•×™×•×ª', //cpg1.3.0
);

$lang_user_admin_menu = array(
	'albmgr_lnk' => '×¤×ª×™×—×ª/××¨×’×•×Ÿ ×”××œ×‘×•×ž×™× ×©×œ×™',
	'modifyalb_lnk' => '×©×™× ×•×™ ×”××œ×‘×•×ž×™× ×©×œ×™',
	'my_prof_lnk' => '×”×¤×¨×•×¤×™×œ ×©×œ×™',
);

$lang_cat_list = array(
	'category' => '×§×˜×’×•×¨×™×”',
	'albums' => '××œ×‘×•×ž×™×',
	'pictures' => '×§×‘×¦×™×',
);

$lang_album_list = array(
	'album_on_page' => '%d ××œ×‘×•×ž×™× ×‘- %d ×“×¤×™×'
);

$lang_thumb_view = array(
	'date' => '×ª××¨×™×š',
	'name' => ' ×©× ×§×•×‘×¥',
	'title' => '×›×•×ª×¨×ª',
	'sort_da' => '×ž×™×•×Ÿ ×œ×¤×™ ×ª××¨×™×š ×ž×—×“×© ×œ×™×©×Ÿ',
	'sort_dd' => '×ž×™×•×Ÿ ×œ×¤×™ ×ª××¨×™×š ×ž×™×©×Ÿ ×œ×—×“×©',
	'sort_na' => '×ž×™×•×Ÿ ×œ×¤×™ ×©× ×§×•×‘×¥ ×‘×¡×“×¨ ×¢×•×œ×”',
	'sort_nd' => '×ž×™×•×Ÿ ×œ×¤×™ ×©× ×§×•×‘×¥ ×‘×¡×“×¨ ×™×•×¨×“',
	'sort_ta' => '×ž×™×•×Ÿ ×œ×¤×™ ×›×•×ª×¨×ª ×‘×¡×“×¨ ×¢×•×œ×”',
	'sort_td' => '×ž×™×•×Ÿ ×œ×¤×™ ×›×•×ª×¨×ª ×‘×¡×“×¨ ×™×•×¨×“',
	'download_zip' => '×”×•×¨×“×” ×‘×§×•×‘×¥ ×“×—×•×¡ (ZIP)', //cpg1.3.0
	'pic_on_page' => '%d ×§×‘×¦×™× ×‘- %d ×“×¤×™×',
	'user_on_page' => '%d ×ž×©×ª×ž×©×™× ×‘- %d ×“×¤×™×'
);

$lang_img_nav_bar = array(
	'thumb_title' => '×—×–×¨×” ×œ×¢×ž×•×“ ×”×“×•×’×ž×™×•×ª',
	'pic_info_title' => '×”×¦×’×ª/×”×¡×ª×¨×ª ×ž×™×“×¢ ×¢×œ ×”×§×‘×¦×™×',
	'slideshow_title' => '×ž×¦×’×ª ×©×§×•×¤×™×•×ª',
	'ecard_title' => '×©×œ×™×—×ª ×”×§×•×‘×¥ ×›×’×œ×•×™×” ×•×™×¨×˜×•××œ×™×ª',
	'ecard_disabled' => '×’×œ×•×™×•×ª ×•×™×¨×˜×•××œ×™×•×ª ××™× ×Ÿ ×ž×•×ª×¨×•×ª',
	'ecard_disabled_msg' => '××™×Ÿ ×œ×š ×”×¨×©××” ×œ×©×œ×•×— ×’×œ×•×™×” ×•×™×¨×˜×•××œ×™×ª',
	'prev_title' => '×”×¦×’×ª ×”×§×•×‘×¥ ×”×§×•×“×',
	'next_title' => '×”×¦×’×ª ×”×§×•×‘×¥ ×”×‘×',
	'pic_pos' => '×§×•×‘×¥ %s ×ž×ª×•×š %s',
);

$lang_rate_pic = array(
	'rate_this_pic' => '×“×¨×•×’ ×”×§×•×‘×¥ ',
	'no_votes' => '(××™×Ÿ ×§×•×œ×•×ª)',
	'rating' => '(×“×¨×•×’: %s/5 ×¢× %s ×§×•×œ×•×ª)',
	'rubbish' => '×’×¨×•×¢×”',
	'poor' => '×œ× ×ž×•×¦×œ×—×ª',
	'fair' => '×¡×‘×™×¨×”',
	'good' => '×˜×•×‘×”',
	'excellent' => '×ž×¦×•×™×™× ×ª',
	'great' => '× ×¤×œ××”!',
);

// ------------------------------------------------------------------------- //
// File include/exif.inc.php
// ------------------------------------------------------------------------- //

// void

// ------------------------------------------------------------------------- //
// File include/functions.inc.php
// ------------------------------------------------------------------------- //

$lang_cpg_die = array(
	INFORMATION => $lang_info,
	ERROR => $lang_error,
	CRITICAL_ERROR => '×ª×§×œ×” ×§×¨×™×˜×™×ª',
	'file' => '×§×•×‘×¥: ',
	'line' => '×©×•×¨×”: ',
);

$lang_display_thumbnails = array(
	'filename' => '×©×: ',
	'filesize' => '×’×•×“×œ: ',
	'dimensions' => '×ž×™×“×•×ª: ',
	'date_added' => '× ×•×¡×£ ×‘: '
);

$lang_get_pic_data = array(
	'n_comments' => '%s ×”×¢×¨×•×ª',
	'n_views' => '%s ×¦×¤×™×•×ª',
	'n_votes' => '(%s ×§×•×œ×•×ª)'
);

$lang_cpg_debug_output = array(
	'debug_info' => '× ×ª×•× ×™× ×œ××‘×—×•×Ÿ - Debug Info', //cpg1.3.0
	'select_all' => '×”×›×œ', //cpg1.3.0
	'copy_and_paste_instructions' => '×× ×‘×›×•×•× ×ª×š ×œ×‘×§×© ×ª×ž×™×›×” ×‘×œ×•×— ×”×ž×•×“×¢×•×ª ×©×œ Coppermine, ×™×© ×œ×”×¢×ª×™×§ ××ª ×¤×œ×˜ ×”××‘×—×•×Ÿ ×œ×ª×•×š ×”×”×•×“×¢×”. × × ×œ×”×§×¤×™×“ ×¢×œ ×”×¡×ª×¨×ª ×¡×™×¡×ž××•×ª ×¢"×™ ×”×—×œ×¤×ª×Ÿ ×‘- ***.', //cpg1.3.0
	'phpinfo' => '×”×¦×’×ª ×ž×™×“×¢ PHP', //cpg1.3.0
);

$lang_language_selection = array(
	'reset_language' => '×©×¤×ª ×‘×¨×™×¨×ª ×ž×—×“×œ', //cpg1.3.0
	'choose_language' => '×‘×—×™×¨×ª ×©×¤×”', //cpg1.3.0
);

$lang_theme_selection = array(
	'reset_theme' => '×¡×’× ×•×Ÿ ×‘×¨×™×¨×ª ×ž×—×“×œ', //cpg1.3.0
	'choose_theme' => '×‘×—×™×¨×ª ×¡×’× ×•×Ÿ', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File include/init.inc.php
// ------------------------------------------------------------------------- //

// void

// ------------------------------------------------------------------------- //
// File include/picmgmt.inc.php
// ------------------------------------------------------------------------- //

// void

// ------------------------------------------------------------------------- //
// File include/smilies.inc.php
// ------------------------------------------------------------------------- //

if (defined('SMILIES_PHP')) $lang_smilies_inc_php = array(
	'Exclamation' => '×¡×™×ž×Ÿ ×§×¨×™××”!',
	'Question' => '×¡×™×ž×Ÿ ×©××œ×”?',
	'Very Happy' => '×ž××•×©×¨ ×ž××“',
	'Smile' => '×—×™×•×š',
	'Sad' => '×¢×¦×•×‘',
	'Surprised' => '×ž×•×¤×ª×¢',
	'Shocked' => '×ž×–×•×¢×–×¢',
	'Confused' => '×ž×‘×•×œ×‘×œ',
	'Cool' => '×’×–×¢×™',
	'Laughing' => '×¦×•×—×§',
	'Mad' => '×ž×©×•×’×¢',
	'Razz' => 'Razz',
	'Embarassed' => '× ×‘×•×š',
	'Crying or Very sad' => '×¢×¦×•×‘ ×•×‘×•×›×”',
	'Evil or Very Mad' => '×¨×©×¢ ×ž×˜×•×¨×£',
	'Twisted Evil' => '×¨×©×¢ ×¡×•×˜×”',
	'Rolling Eyes' => '×ž×’×œ×’×œ ×¢×™× ×™×™×',
	'Wink' => '×§×•×¨×¥',
	'Idea' => '×¨×¢×™×•×Ÿ',
	'Arrow' => '×—×¥',
	'Neutral' => '× ×™×™×˜×¨×œ×™',
	'Mr. Green' => '×ž×™×¡×˜×¨ ×™×¨×•×§',
);

// ------------------------------------------------------------------------- //
// File addpic.php
// ------------------------------------------------------------------------- //

// void

// ------------------------------------------------------------------------- //
// File admin.php
// ------------------------------------------------------------------------- //

if (defined('ADMIN_PHP')) $lang_admin_php = array(
	0 => '×™×¦×™××” ×ž×ž×¦×‘ ×ž× ×”×œ...',
	1 => '×›× ×™×¡×” ×œ×ž×¦×‘ ×ž× ×”×œ...',
);

// ------------------------------------------------------------------------- //
// File albmgr.php
// ------------------------------------------------------------------------- //

if (defined('ALBMGR_PHP')) $lang_albmgr_php = array(
	'alb_need_name' => '×—×•×‘×” ×œ×ª×ª ×©× ×œ××œ×‘×•×!',
	'confirm_modifs' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×¢×©×•×ª ×©×™× ×•×™×™× ××œ×”?',
	'no_change' => '×œ× ×‘×™×¦×¢×ª ×›×œ ×©×™× ×•×™!',
	'new_album' => '××œ×‘×•× ×—×“×©',
	'confirm_delete1' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ××œ×‘×•× ×–×”?',
	'confirm_delete2' => '\n×›×œ ×”×§×‘×¦×™× ×•×”×”×¢×¨×•×ª ×©×‘×• ×™××‘×“×• ×œ×œ× ××¤×©×¨×•×ª ×©×—×–×•×¨!',
	'select_first' => '×§×•×“× ×¢×œ×™×š ×œ×‘×—×•×¨ ××œ×‘×•×',
	'alb_mrg' => '×ž× ×”×œ ×”××œ×‘×•×ž×™×',
	'my_gallery' => '* ×”×’×œ×¨×™×” ×©×œ×™ *',
	'no_category' => '* ×œ×œ× ×§×˜×’×•×¨×™×” *',
	'delete' => '×ž×—×™×§×”',
	'new' => '×¤×ª×™×—×ª ×—×“×©',
	'apply_modifs' => '×‘×™×¦×•×¢ ×©×™× ×•×™×™×',
	'select_category' => '×‘×—×™×¨×ª ×§×˜×’×•×¨×™×”',
);

// ------------------------------------------------------------------------- //
// File catmgr.php
// ------------------------------------------------------------------------- //

if (defined('CATMGR_PHP')) $lang_catmgr_php = array(
	'miss_param' => '×—×¡×¨×™× ×¤×¨×ž×˜×¨×™× ×”×“×¨×•×©×™× ×œ×¤×¢×•×œ×” "%s"',
	'unknown_cat' => '×”×§×˜×’×•×¨×™×” ×©× ×‘×—×¨×” ××™× ×” ×§×™×™×ž×ª ×‘×ž×¡ ×”× ×ª×•× ×™× (DB)',
	'usergal_cat_ro' => '×œ× × ×™×ª×Ÿ ×œ×ž×—×•×§ ××ª ×”×§×˜×’×•×¨×™×” "×’×œ×¨×™×•×ª ×ž×©×ª×ž×©×™×"!',
	'manage_cat' => '× ×™×”×•×œ ×§×˜×’×•×¨×™×•×ª',
	'confirm_delete' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ×§×˜×’×•×¨×™×” ×–×•?',
	'category' => '×§×˜×’×•×¨×™×”',
	'operations' => '×¤×¢×•×œ×•×ª',
	'move_into' => '×”×¢×‘×¨ ××œ',
	'update_create' => '×™×¦×™×¨×”/×¢×“×›×•×Ÿ ×§×˜×’×•×¨×™×”',
	'parent_cat' => '×§×˜×’×•×¨×™×™×ª ×¢×œ',
	'cat_title' => '×›×•×ª×¨×ª ×”×§×˜×’×•×¨×™×”',
	'cat_thumb' => '×“×•×’×ž×™×ª ×”×§×˜×’×•×¨×™×”', //cpg1.3.0
	'cat_desc' => '×ª××•×¨ ×”×§×˜×’×•×¨×™×”'
);

// ------------------------------------------------------------------------- //
// File config.php
// ------------------------------------------------------------------------- //

if (defined('CONFIG_PHP')) $lang_config_php = array(
	'title' => '×ª×¦×•×¨×”',
	'restore_cfg' => '×©×™×—×–×•×¨ ×‘×¨×™×¨×•×ª ×ž×—×“×œ',
	'save_cfg' => '×©×ž×™×¨×ª ×”×ª×¦×•×¨×” ×”×—×“×©×”',
	'notes' => '×”×¢×¨×•×ª',
	'info' => '×ž×™×“×¢',
	'upd_success' => '×”×ª×¦×•×¨×” ×¢×•×“×›× ×”',
	'restore_success' => '×”×ª×¦×•×¨×” ×©×•×—×–×¨×” ×œ×‘×¨×™×¨×•×ª ×”×ž×—×“×œ',
	'name_a' => '×©× ×¢×•×œ×”',
	'name_d' => '×©× ×™×•×¨×“',
	'title_a' => '×›×•×ª×¨×ª ×‘×¡×“×¨ ×¢×•×œ×”',
	'title_d' => '×›×•×ª×¨×ª ×‘×¡×“×¨ ×™×•×¨×“',
	'date_a' => '×ª××¨×™×š ×¢×•×œ×”',
	'date_d' => '×ª××™×¨×š ×™×•×¨×“',
	'th_any' => '×¤×¨×•×¤×•×¨×¦×™×” ×ž×§×¡×™×ž×œ×™×ª',
	'th_ht' => '×’×•×‘×”',
	'th_wd' => '×¨×•×—×‘',
	'label' => '×ª×•×™×ª', //cpg1.3.0
	'item' => '×¤×¨×™×˜', //cpg1.3.0
	'debug_everyone' => '×›×œ ××—×“', //cpg1.3.0
	'debug_admin' => '×ž× ×”×œ ×‘×œ×‘×“', //cpg1.3.0
);

if (defined('CONFIG_PHP')) $lang_config_data = array(
	'×”×’×“×¨×•×ª ×›×œ×œ×™×•×ª',
	array('×©× ×”×’×œ×¨×™×”', 'gallery_name', 0),
	array('×ª××•×¨ ×”×’×œ×¨×™×”', 'gallery_description', 0),
	array('×›×ª×•×‘×ª ×“×•×"×œ ×©×œ ×ž× ×”×œ ×”×’×œ×¨×™×”', 'gallery_admin_email', 0),
	array('×›×ª×•×‘×ª (URL) ×©×ª×•×¤×™×¢ ×‘×’×œ×•×™×•×ª ×‘×§×™×©×•×¨ "See more pictures" ', 'ecards_more_pic_target', 0),
	array('×’×œ×¨×™×” ×œ× ×–×ž×™× ×”', 'offline', 1), //cpg1.3.0
	array('×ž×¢×§×‘ ××—×¨ ×’×œ×•×™×•×ª', 'log_ecards', 1), //cpg1.3.0
	array('××¤×©×¨ ×”×•×¨×“×ª ×§×‘×•×¥ ×“×—×•×¡ (ZIP) ×©×œ ×ž×•×¢×“×¤×™×', 'enable_zipdownload', 1), //cpg1.3.0

	'×©×¤×”, ×¢×™×¦×•×‘ ×•×§×™×“×•×“ ×ª×•×™×',
	array('×©×¤×”', 'lang', 5),
	array('×¡×’× ×•×Ÿ ×¢×™×¦×•×‘', 'theme', 6),
	array('×”×¦×’×ª ×¨×©×™×ž×ª ×©×¤×•×ª', 'language_list', 1), //cpg1.3.0
	array('×”×¦×’×ª ×“×’×œ×™ ×ž×“×™× ×•×ª', 'language_flags', 8), //cpg1.3.0
	array('×”×¦×’×ª ××¤×©×¨×•×ª ×œ×©×¤×ª ×‘×¨×™×¨×ª ×ž×—×“×œ', 'language_reset', 1), //cpg1.3.0
	array('×”×¦×’×ª ×¨×©×™×ž×ª ×¡×’× ×•× ×•×ª ×¢×™×¦×•×‘', 'theme_list', 1), //cpg1.3.0
	array('×”×¦×’×ª ××¤×©×¨×•×ª ×œ×¡×’× ×•×Ÿ ×‘×¨×™×¨×ª ×ž×—×“×œ', 'theme_reset', 1), //cpg1.3.0
	array('×”×¦×’×ª ×ª×©×•×‘×•×ª ×œ×©××œ×•×ª × ×¤×•×¦×•×ª (FAQ)', 'display_faq', 1), //cpg1.3.0
	array('×”×¦×’×ª ×¢×–×¨×” ×œ×§×•×“×™ ×¢×™×¦×•×‘ (bbcode)', 'show_bbcode_help', 1), //cpg1.3.0
	array('×§×™×“×•×“ ×ª×•×™× (×©×¤×”)', 'charset', 4), //cpg1.3.0

	'×”×’×“×¨×•×ª ×œ×¨×©×™×ž×ª ××œ×‘×•×ž×™×',
	array('×¨×•×—×‘ ×”×˜×‘×œ×” ×”×¨××©×™×ª (×‘- % ××• ×‘×¤×§×™×¡×œ×™×)', 'main_table_width', 0),
	array('×ž×¡×¤×¨ ×¨×ž×•×ª ×§×˜×’×•×¨×™×” ×œ×”×¦×™×’', 'subcat_level', 0),
	array('×ž×¡×¤×¨ ××œ×‘×•×ž×™× ×œ×”×¦×™×’', 'albums_per_page', 0),
	array('×ž×¡×¤×¨ ×¢×ž×•×“×•×ª ×œ×¨×©×™×ž×ª ×”××œ×‘×•×ž×™×', 'album_list_cols', 0),
	array('×’×•×“×œ ×”×“×•×’×ž×™×•×ª ×‘×¤×™×§×¡×œ×™×', 'alb_list_thumb_size', 0),
	array('×ª×•×›×Ÿ ×”×“×£ ×”×¨××©×™', 'main_page_layout', 0),
	array('×”×¦×’ ×“×•×’×ž×™×•×ª (×ž××œ×‘×•×ž×™× ×‘×”×™×¨×¨×›×™×” ×”×¢×œ×™×•× ×”) ×‘×¨×©×™×ž×ª ×”×§×˜×’×•×¨×™×•×ª','first_level',1),

	'×”×’×“×¨×•×ª ×œ×ª×¦×•×’×ª ×“×•×’×ž×™×•×ª',
	array('×ž×¡×¤×¨ ×¢×ž×•×“×•×ª ×‘×“×£ ×“×•×’×ž×™×•×ª', 'thumbcols', 0),
	array('×ž×¡×¤×¨ ×©×•×¨×•×ª ×‘×“×£ ×“×•×’×ž×™×•×ª', 'thumbrows', 0),
	array('×ž×¡×¤×¨ ×œ×©×•× ×™×•×ª ×ž×§×¡×™×ž×œ×™ ×œ×”×¦×™×’', 'max_tabs', 10),
	array('×”×¦×’×ª ×›×ª×•×‘×™×ª (×‘× ×•×¡×£ ×œ×›×•×ª×¨×ª) ×ž×ª×—×ª ×œ×“×•×’×ž×™×ª', 'caption_in_thumbview', 1),
	array('×”×¦×’×ª ×ž×¡×¤×¨ ×”×¦×¤×™×•×ª ×ž×ª×—×ª ×œ×“×•×’×ž×™×ª', 'views_in_thumbview', 1), //cpg1.3.0
	array('×”×¦×’×ª ×ž×¡×¤×¨ ×”×”×¢×¨×•×ª ×ž×ª×—×ª ×œ×“×•×’×ž×™×ª', 'display_comment_count', 1),
	array('×”×¦×’×ª ×©× ×ž×•×¡×™×£-×”×§×•×‘×¥ ×ž×ª×—×ª ×œ×“×•×’×ž×™×ª', 'display_uploader', 1), //cpg1.3.0
	array('×ž×™×•×Ÿ ×”×ª×—×œ×ª×™ ×©×œ ×”×“×•×’×ž×™×•×ª', 'default_sort_order', 3),
	array('×ž×¡×¤×¨ ×§×•×œ×•×ª ×ž×™× ×™×ž×œ×™ ×”× ×“×¨×© ×œ×§×•×‘×¥ ×›×“×™ ×©×™×•×¤×™×¢ ×‘×¨×©×™×ž×ª ×”×“×¨×•×’×™× ×”×’×‘×•×”×™× ×‘×™×•×ª×¨ ', 'min_votes_for_rating', 0),

	'×”×’×“×¨×•×ª ×œ×ª×¦×•×’×ª ×ª×ž×•× ×” ×•×”×¢×¨×•×ª',
	array('×¨×•×—×‘ ×”×˜×‘×œ×” (×‘- % ××• ×‘×¤×™×§×¡×œ×™×)', 'picture_table_width', 0),
	array('×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥ ×ž×•×¦×’ ×›×‘×¨×™×¨×ª ×ž×—×“×œ', 'display_pic_info', 1),
	array('×”×× ×œ×¡× ×Ÿ × ×™×‘×•×œ×™ ×œ×©×•×Ÿ ×ž×”×”×¢×¨×•×ª', 'filter_bad_words', 1),
	array('×”×× ×œ×”×¨×©×•×ª ×¡×ž×™×™×œ×™× ×‘×”×¢×¨×•×ª', 'enable_smilies', 1),
	array('×”×× ×œ×”×¨×©×•×ª ×ž×¡×¤×¨ ×”×¢×¨×•×ª ×¨×¦×•×¤×•×ª ×ž×ž×©×ª×ž×© ××—×“ (×‘×™×˜×•×œ ×ž× ×’× ×•×Ÿ ×”×’× ×” × ×’×“ "×”×¦×¤×•×ª")', 'disable_comment_flood_protect', 1), //cpg1.3.0
	array('××•×¨×š ×ž×§×¡×™×ž×œ×™ ×©×œ ×ª××•×¨ ×ª×ž×•× ×”', 'max_img_desc_length', 0),
	array('××•×¨×š ×ž×™×œ×” ×ž×§×¡×™×ž×œ×™ (×œ×ž× ×™×¢×ª "×§×™×©×§×•×©×™×")', 'max_com_wlength', 0),
	array('×ž×¡×¤×¨ ×©×•×¨×•×ª ×ž×§×¡×™×ž×œ×™ ×‘×”×¢×¨×”', 'max_com_lines', 0),
	array('×ž×§×¡×™×ž×•× ××•×¨×š ×”×”×¢×¨×”', 'max_com_size', 0),
        array('×”×¦×’ ×¨×¦×•×¢×ª ×¡×¨×˜ ×¦×™×œ×•×', 'display_film_strip', 1),
        array('×ž×¡×¤×¨ ×”×¤×¨×™×˜×™× ×‘×¨×¦×•×¢×ª ×¡×¨×˜ ×¦×™×œ×•×', 'max_film_strip_items', 0),
	array('×”×× ×œ×©×œ×•×— ×œ×ž× ×”×œ ×”×•×“×¢×” ×¢×œ ×”×•×¡×¤×ª ×”×¢×¨×”', 'email_comment_notification', 1), //cpg1.3.0
	array('×–×ž×Ÿ ×”×¦×’×ª ×ª×ž×•× ×” ×‘×ž×¦×‘ "×ž×¦×’×ª ×©×§×•×¤×™×•×ª" (×‘××œ×¤×™×•×ª ×©× ×™×”)', 'slideshow_interval', 0), //cpg1.3.0

	'×”×’×“×¨×•×ª ×œ×§×‘×¦×™× ×•×œ×“×•×’×ž×™×•×ª',
	array('×¨×ž×ª ××™×›×•×ª ×œ×§×‘×¦×™ JPEG', 'jpeg_qual', 0),
        array('×ž×ž×“×™× ×ž×§×¡×™×ž×œ×™×™× ×©×œ ×“×•×’×ž×™×ª <a href="#notice2" class="clickable_option">**</a>', 'thumb_width', 0),
        array('×œ×”×©×ª×ž×© ×‘×ž×ž×“×™× (×¨×•×—×‘ ××• ×’×•×‘×” ××• ×ž×§×¡×™×ž×œ×™) ×©×œ ×“×•×’×ž×™×ª <b>*</b>', 'thumb_use', 7),
	array('×ž×§×¡×™×ž×•× ×’×•×‘×” ××• ×¨×•×—×‘ ×©×œ ×“×•×’×ž×™×ª <b>*</b>', 'thumb_width', 0),
	array('×™×¦×™×¨×”/×”×¦×’×” ×©×œ ×ª×ž×•× ×•×ª/×¡×¨×˜×™× ×‘×’×•×“×œ ×‘×™× ×™×™×','make_intermediate',1),
	array('×ž×§×¡×™×ž×•× ×’×•×‘×” ××• ×¨×•×—×‘ ×©×œ ×ª×ž×•× ×”/×¡×¨×˜ ×‘×’×•×“×œ ×‘×™× ×™×™× <a href="#notice2" class="clickable_option">**</a>', 'picture_width', 0),
	array('×ž×§×¡×™×ž×•× ×’×•×“×œ ×©×œ ×§×•×‘×¥ (KB)', 'max_upl_size', 0),
	array('×ž×§×¡×™×ž×•× ×’×•×‘×” ××• ×¨×•×—×‘ ×©×œ ×ª×ž×•× ×”/×¡×¨×˜', 'max_upl_width_height', 0),

	'×”×’×“×¨×•×ª ×ž×ª×§×“×ž×•×ª ×œ×ª×ž×•× ×•×ª ×•×“×•×’×ž×™×•×ª',
        array('×œ×”×¦×™×’ ×¦×œ×ž×™×ª ××œ×‘×•× ×¤×¨×˜×™ ×œ×ž×©×ª×ž×© ×œ× ×ž×—×•×‘×¨','show_private',1),
	array('×ª×•×™× ××¡×•×¨×™× ×‘×©× ×§×•×‘×¥', 'forbiden_fname_char',0),
	//array('×¡×™×•×ž×•×ª ×ž×•×ª×¨×•×ª ×©×œ ×§×‘×¦×™ ×ª×ž×•× ×”', 'allowed_file_extensions',0),
	array('×¡×•×’×™ ×§×‘×¦×™ ×ª×ž×•× ×” ×ž×•×ª×¨×™×', 'allowed_img_types',0), //cpg1.3.0
	array('×¡×•×’×™ ×§×‘×¦×™ ×¡×¨×˜ ×ž×•×ª×¨×™×', 'allowed_mov_types',0), //cpg1.3.0
	array('×¡×•×’×™ ×§×‘×¦×™ ×§×•×œ ×ž×•×ª×¨×™×', 'allowed_snd_types',0), //cpg1.3.0
	array('×¡×•×’×™ ×§×‘×¦×™ ×ž×¡×ž×š ×ž×•×ª×¨×™×', 'allowed_doc_types',0), //cpg1.3.0
	array('×©×™×˜×ª ×©×™× ×•×™ ×’×•×“×œ ×”×ª×ž×•× ×”','thumb_method',2),
	array('× ×ª×™×‘ ×œ×ª×•×›× ×™×ª Convert ×©×œ ×—×‘×™×œ×ª ImageMagick (×œ×ž×©×œ /usr/bin/X11/)', 'impath', 0),
	//array('×¡×•×’×™ ×§×‘×¦×™ ×ª×ž×•× ×” ×ž×•×ª×¨×™× (×¨×§ ×¢×‘×•×¨ ImageMagick)', 'allowed_img_types',0),
	array('×¤×¨×ž×˜×¨×™× ×œ×©×•×¨×ª ×”×¤×§×•×“×” ×©×œ ImageMagick', 'im_options', 0),
	array('×§×¨×™××ª ×ž×™×“×¢ ×ž×•×¨×—×‘ (EXIF) ×ž×§×‘×¦×™ JPEG', 'read_exif_data', 1),
	array('×§×¨×™××ª ×ž×™×“×¢ ×ž×•×¨×—×‘ (IPTC) ×ž×§×‘×¦×™ JPEG', 'read_iptc_data', 1), //cpg1.3.0
	array('× ×ª×™×‘ ×œ×ž×—×™×¦×ª ×”××œ×‘×•×ž×™× <a href="#notice1" class="clickable_option">*</a>', 'fullpath', 0),
	array('×ž×—×™×¦×” ×œ×§×‘×¦×™ ×ž×©×ª×ž×©×™× <a href="#notice1" class="clickable_option">*</a>', 'userpics', 0),
	array('×§×™×“×•×ž×ª ×œ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×‘×™× ×™×™× <a href="#notice1" class="clickable_option">*</a>', 'normal_pfx', 0),
	array('×§×™×“×•×ž×ª ×œ×“×•×’×ž×™×•×ª <a href="#notice1" class="clickable_option">*</a>', 'thumb_pfx', 0),
	array('×‘×¨×™×¨×ª ×ž×—×“×œ ×œ×”×¨×©××ª ×ž×—×™×¦×•×ª', 'default_dir_mode', 0),
	array('×‘×¨×™×¨×ª ×ž×—×“×œ ×œ×”×¨×©××ª ×§×‘×¦×™×', 'default_file_mode', 0),

	'×”×’×“×¨×•×ª ×ž×©×ª×ž×©×™×',
	array('×œ××¤×©×¨ ×¨×™×©×•× ×©×œ ×ž×©×ª×ž×©×™× ×—×“×©×™×', 'allow_user_registration', 1),
	array('×œ×‘×¦×¢ ×‘×“×™×§×ª ×“×•×"×œ ×©×œ ×ž×©×ª×ž×© ×—×“×©', 'reg_requires_valid_email', 1),
	array('×œ×©×œ×•×— ×”×•×“×¢×” ×œ×ž× ×”×œ ×¢×œ ×¨×™×©×•× ×ž×©×ª×ž×© ×‘×“×•×"×œ', 'reg_notify_admin_email', 1), //cpg1.3.0
	array('×œ×”×¨×©×•×ª ×›×¤×™×œ×•×ª ×©×œ ×›×ª×•×‘×•×ª ×“×•×"×œ ×‘×™×Ÿ ×ž×©×ª×ž×©×™× ×©×•× ×™×', 'allow_duplicate_emails_addr', 1),
	array('×œ××¤×©×¨ ×œ×ž×©×ª×ž×©×™× ×œ×™×¦×•×¨ ××œ×‘×•×ž×™× ×¤×¨×˜×™×™× (×—×©×•×‘: ×©×™× ×•×™ ×ž×ž×¦×‘ "×›×Ÿ" ×œ×ž×¦×‘ "×œ×" ×™×’×¨×•× ×œ×”×¤×™×›×ª ×›×œ ×”××œ×‘×•×ž×™× ×”×¤×¨×˜×™×™× ×œ×¦×™×‘×•×¨×™×™×)', 'allow_private_albums', 1),
	array('×œ×”×•×“×™×¢ ×œ×ž× ×”×œ ×›××©×¨ ×§×‘×¦×™ ×ž×©×ª×ž×©×™× ×ž×ž×ª×™× ×™× ×œ××™×©×•×¨', 'upl_notify_admin_email', 1), //cpg1.3.0
	array('×œ×”×¨×©×•×ª ×œ×ž×©×ª×ž×©×™× ×ž×—×•×‘×¨×™× ×œ×¦×¤×•×ª ×‘×¨×©×™×ž×ª ×”×ž×©×ª×ž×©×™× ×”×¨×©×•×ž×™×', 'allow_memberlist', 1), //cpg1.3.0

	'×©×“×•×ª × ×•×¡×¤×™× ×œ×ª××•×¨ (×œ×”×©××™×¨ ×¨×™×§ ×× ××™×Ÿ ×¦×•×¨×š)',
	array('×©× ×©×“×” 1', 'user_field1_name', 0),
	array('×©× ×©×“×” 2', 'user_field2_name', 0),
	array('×©× ×©×“×” 3', 'user_field3_name', 0),
	array('×©× ×©×“×” 4', 'user_field4_name', 0),

	'×”×’×“×¨×•×ª Cookies ×•×©×¤×”',
	array('×©× ×”-Cookie ×©×œ ×”×’×œ×¨×™×”', 'cookie_name', 0),
	array('× ×ª×™×‘ ×”-Cookie ×©×œ ×”×’×œ×¨×™×”', 'cookie_path', 0),

	'×”×’×“×¨×•×ª ×©×•× ×•×ª',
	array('×”×¤×¢×œ×ª ×ž×¦×‘ ××‘×—×•×Ÿ (Debug)', 'debug_mode', 9),
	array('×œ×”×¦×™×’ ×”×•×“×¢×•×ª ×‘×ž×¦×‘ ××‘×—×•×Ÿ (Debug)', 'debug_notice', 1), //cpg1.3.0

	'<br /><a name="notice1"></a>(*) ×©×“×•×ª ×”×ž×¡×•×ž× ×™× ×‘-* ××¡×•×¨ ×œ×©× ×•×ª ×× ×™×© ×›×‘×¨ ×§×‘×¦×™× ×‘×’×œ×¨×™×”!<br />
	<a name="notice2"></a>(**) ×›××©×¨ ×ž×©× ×™× ×”×’×“×¨×•×ª ××œ×”, ×”×Ÿ ×ž×©×¤×™×¢×•×ª ×¨×§ ×¢×œ ×§×‘×¦×™× ×©× ×•×¡×¤×™× ×œ××—×¨ ×”×©×™× ×•×™. ×œ×›×Ÿ ×ž×•×ž×œ×¥ ×œ× ×œ×©× ×•×ª×Ÿ ×× ×›×‘×¨ ×™×© ×§×‘×¦×™× ×‘×’×œ×¨×™×”. ×œ×ž×¨×•×ª ×–××ª, ××¤×©×¨ ×œ×”×—×™×œ ××ª ×”×©×™× ×•×™×™× ×’× ×¢×œ ×§×‘×¦×™× ×§×™×™×ž×™×, ×‘××ž×¦×¢×•×ª "<a href="util.php">×›×œ×™ × ×™×”×•×œ</a> (×©×™× ×•×™ ×’×•×“×œ ×ª×ž×•× ×•×ª)" ×©×‘×ª×¤×¨×™×˜ ×”×ž× ×”×œ.</div><br />'
);

// ------------------------------------------------------------------------- //
// File db_ecard.php //cpg1.3.0
// ------------------------------------------------------------------------- //

if (defined('DB_ECARD_PHP')) $lang_db_ecard_php = array(
  'title' => '×’×œ×•×™×•×ª ×©× ×©×œ×—×•', //cpg1.3.0
  'ecard_sender' => '×©×•×œ×—', //cpg1.3.0
  'ecard_recipient' => '× ×ž×¢×Ÿ', //cpg1.3.0
  'ecard_date' => '×ª××¨×™×š', //cpg1.3.0
  'ecard_display' => '×”×¦×’×ª ×”×’×œ×•×™×”', //cpg1.3.0
  'ecard_name' => '×©×', //cpg1.3.0
  'ecard_email' => '×“×•×"×œ', //cpg1.3.0
  'ecard_ip' => 'IP ×›×ª×•×‘×ª', //cpg1.3.0
  'ecard_ascending' => '×¡×“×¨ ×¢×•×œ×”', //cpg1.3.0
  'ecard_descending' => '×¡×“×¨ ×™×•×¨×“', //cpg1.3.0
  'ecard_sorted' => '×ž×ž×•×™×™×Ÿ', //cpg1.3.0
  'ecard_by_date' => '×œ×¤×™ ×ª××¨×™×š', //cpg1.3.0
  'ecard_by_sender_name' => '×œ×¤×™ ×©× ×”×©×•×œ×—', //cpg1.3.0
  'ecard_by_sender_email' => '×œ×¤×™ ×“×•×"×œ ×”×©×•×œ×—', //cpg1.3.0
  'ecard_by_sender_ip' => '×œ×¤×™ ×›×ª×•×‘×ª IP ×©×œ ×”×©×•×œ×—', //cpg1.3.0
  'ecard_by_recipient_name' => '×œ×¤×™ ×©× ×”× ×ž×¢×Ÿ', //cpg1.3.0
  'ecard_by_recipient_email' => '×œ×¤×™ ×“×•×"×œ ×”× ×ž×¢×Ÿ', //cpg1.3.0
  'ecard_number' => '×ž×¦×™×’ ×¨×©×•×ž×•×ª %s ×¢×“ %s ×ž×ª×•×š %s', //cpg1.3.0
  'ecard_goto_page' => '×“×™×œ×•×’ ×œ×¢×ž×•×“', //cpg1.3.0
  'ecard_records_per_page' => '×¨×©×•×ž×•×ª ×‘×¢×ž×•×“', //cpg1.3.0
  'check_all' => '×¡×™×ž×•×Ÿ ×›×•×œ×', //cpg1.3.0
  'uncheck_all' => '×‘×™×˜×•×œ ×¡×™×ž×•×Ÿ ×›×•×œ×', //cpg1.3.0
  'ecards_delete_selected' => '×ž×—×™×§×ª ×’×œ×•×™×•×ª ×ž×¡×•×ž× ×•×ª', //cpg1.3.0
  'ecards_delete_confirm' => '×”×× ×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ××ª ×”×¨×©×•×ž×•×ª ×”×ž×¡×•×ž× ×•×ª? × × ×œ×¡×ž×Ÿ ××ª ×”×ª×™×‘×”!', //cpg1.3.0
  'ecards_delete_sure' => '×›×Ÿ, ×œ×ž×—×•×§!', //cpg1.3.0
);


// ------------------------------------------------------------------------- //
// File db_input.php
// ------------------------------------------------------------------------- //

if (defined('DB_INPUT_PHP')) $lang_db_input_php = array(
	'empty_name_or_com' => '×¢×œ×™×š ×œ×¦×™×™×Ÿ ××ª ×©×ž×š ×•×œ×›×ª×•×‘ ×”×¢×¨×”',
	'com_added' => '×”×¢×¨×ª×š × ×•×¡×¤×”',
	'alb_need_title' => '×¢×œ×™×š ×œ×ª×ª ×›×•×ª×¨×ª ×œ××œ×‘×•×',
	'no_udp_needed' => '×œ× × ×“×¨×© ×¢×“×›×•×Ÿ',
	'alb_updated' => '×”××œ×‘×•× ×¢×•×“×›×Ÿ',
	'unknown_album' => '×”××œ×‘×•× ×©×‘×—×¨×ª ××™× ×• ×§×™×™× ××• ×©××™×Ÿ ×œ×š ×”×¨×©××” ×œ×”×•×¡×™×£ ×œ×• ×§×‘×¦×™×',
	'no_pic_uploaded' => '×œ× ×”×¢×‘×¨×ª ×§×•×‘×¥!<br /><br />×× ××›×Ÿ ×‘×¦×¢×ª ××ª ×¤×¢×•×œ×ª ×”×”×¢×‘×¨×”, ×™×ª×›×Ÿ ×©×”×©×¨×ª ××™× ×• ×ž×§×‘×œ ×§×‘×¦×™× (Upload)...',
	'err_mkdir' => '×™×¦×™×¨×ª ×ž×—×™×¦×” "%s" × ×›×©×œ×”!',
	'dest_dir_ro' => '×ž×—×™×¦×ª ×”×™×¢×“ "%s" ××™× ×” ×ž××¤×©×¨×ª ×œ×ª×•×›× ×™×ª ×œ×‘×¦×¢ ×©×™× ×•×™×™×!',
	'err_move' => '×œ× × ×™×ª×Ÿ ×œ×”×¢×‘×™×¨ ××ª "%s" ××œ "%s"!',
	'err_fsize_too_large' => '×”×§×•×‘×¥ ×©×”×¢×‘×¨×ª ×—×•×¨×’ ×ž×”×ž×ž×“×™× ×”×ž×§×¡×™×ž×œ×™×™× ×”×ž×•×ª×¨×™× (%s&times;%s)!',
	'err_imgsize_too_large' => '×”×§×•×‘×¥ ×©×”×¢×‘×¨×ª ×—×•×¨×’ ×ž×”×’×•×“×œ ×”×ž×§×¡×™×ž×œ×™ ×”×ž×•×ª×¨ (%s)!',
	'err_invalid_img' => '×”×§×•×‘×¥ ×©×”×¢×‘×¨×ª ××™× ×• ×ž×›×™×œ ×ª×ž×•× ×” ×ª×§×™× ×”!',
	'allowed_img_types' => '×‘××¤×©×¨×•×ª×š ×œ×”×¢×‘×™×¨ ×¢×“ %s ×§×‘×¦×™×.',
	'err_insert_pic' => '×œ× × ×™×ª×Ÿ ×œ×”×•×¡×™×£ ××ª ×”×§×•×‘×¥ %s ×œ××œ×‘×•× ',
	'upload_success' => '×”×§×•×‘×¥ ×¢×‘×¨ ×‘×”×¦×œ×—×”.<br /><br />×•×™×•×¤×™×¢ ×œ××—×¨ ××™×©×•×¨ ×”×ž× ×”×œ.',
	'notify_admin_email_subject' => '%s - ×”×•×“×¢×” ×¢×œ ×”×¢×œ××ª ×§×•×‘×¥', //cpg1.3.0
	'notify_admin_email_body' => '×ž×©×ª×ž×© %s ×”×¢×œ×” ×§×•×‘×¥ ×©×“×•×¨×© ××ª ××™×©×•×¨×š. ×¢×‘×•×¨ ××œ %s', //cpg1.3.0
	'info' => '×ž×™×“×¢',
	'com_added' => '×”×¢×¨×” × ×•×¡×¤×”',
	'alb_updated' => '××œ×‘×•× × ×•×¡×£',
	'err_comment_empty' => '×”×¢×¨×ª×š ×¨×™×§×”!',
	'err_invalid_fext' => '×ž×ª×§×‘×œ×™× ×§×‘×¦×™× ×¨×§ ×‘×¢×œ×™ ×”×¡×™×•×ž×•×ª: <br /><br />%s.',
	'no_flood' => '× ×¨××” ×›×™ ×”×”×¢×¨×” ×”××—×¨×•× ×” ×œ×§×•×‘×¥ ×”×™× ×©×œ×š.<br /><br />×× ×‘×¨×¦×•× ×š ×œ×©× ×•×ª ××ª ×”×”×¢×¨×” ×‘××¤×©×¨×•×ª×š ×œ×¢×¨×•×š ××•×ª×” ×©×•×‘.',
	'redirect_msg' => '×”×¤× ×™×” ××•×˜×•×ž×˜×™×ª ×œ×“×£ ××—×¨.<br /><br /><br />×× ×”×“×£ ××™× ×• ×ž×•×¤×™×¢ ×ª×•×š ×ž×¡×¤×¨ ×©× ×™×•×ª, ×™×© ×œ×”×§×œ×™×§ ×¢×œ "×”×ž×©×š".',
	'upl_success' => '×”×§×•×‘×¥ × ×•×¡×£ ×‘×”×¦×œ×—×”',
	'email_comment_subject' => '×”×¢×¨×” × ×•×¡×¤×” ×‘×’×œ×¨×™×”', //cpg1.3.0
	'email_comment_body' => '×ž×™×©×”×• ×”×•×¡×™×£ ×”×¢×¨×” ×œ×’×œ×¨×™×” ×©×œ×š. ×œ×¦×¤×™×” ×¢×‘×•×¨ ××œ', //cpg1.3.0
);


// ------------------------------------------------------------------------- //
// File delete.php
// ------------------------------------------------------------------------- //

if (defined('DELETE_PHP')) $lang_delete_php = array(
	'caption' => '×›×ª×•×‘×™×ª',
	'fs_pic' => '×ª×ž×•× ×” ×‘×’×•×“×œ ×ž×œ×',
	'del_success' => '×”×ž×—×™×§×” ×”×¦×œ×™×—×”',
	'ns_pic' => '×ª×ž×•× ×” ×‘×’×•×“×œ ×¨×’×™×œ',
	'err_del' => '×œ× × ×™×ª×Ÿ ×œ×ž×—×•×§',
	'thumb_pic' => '×“×•×’×ž×™×ª',
	'comment' => '×”×¢×¨×”',
	'im_in_alb' => '×ª×ž×•× ×” ×‘××œ×‘×•×',
	'alb_del_success' => '××œ×‘×•× "%s" × ×ž×—×§',
	'alb_mgr' => '× ×™×”×•×œ ××œ×‘×•×ž×™×',
	'err_invalid_data' => '×ž×™×“×¢ ×©×’×•×™ × ×§×œ×˜ ×‘- %s',
	'create_alb' => '×™×•×¦×¨ ××œ×‘×•× "%s"',
	'update_alb' => '×ž×¢×“×›×Ÿ ××œ×‘×•× "%s" ×¢× ×›×•×ª×¨×ª "%s" ×•××™× ×“×§×¡ "%s"',
	'del_pic' => '×ž×—×™×§×ª ×§×•×‘×¥',
	'del_alb' => '×ž×—×™×§×ª ××œ×‘×•×',
	'del_user' => '×ž×—×™×§×ª ×ž×©×ª×ž×©',
	'err_unknown_user' => '×”×ž×©×ª×ž×© ×©× ×‘×—×¨ ××™× ×• ×§×™×™×!',
	'comment_deleted' => '×”×¢×¨×” × ×ž×—×§×” ×‘×”×¦×œ×—×”',
);

// ------------------------------------------------------------------------- //
// File displayecard.php
// ------------------------------------------------------------------------- //

// Void

// ------------------------------------------------------------------------- //
// File displayimage.php
// ------------------------------------------------------------------------- //

if (defined('DISPLAYIMAGE_PHP')){

$lang_display_image_php = array(
	'confirm_del' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ××ª ×”×§×•×‘×¥? \\n×’× ×”×”×¢×¨×•×ª ×™×ž×—×§×•.',
	'del_pic' => '×ž×—×™×§×”',
	'size' => '%s&times;%s ×¤×™×§×¡×œ×™×',
	'views' => '%s ×¤×¢×ž×™×',
	'slideshow' => '×ž×¦×’×ª ×©×§×•×¤×™×•×ª',
	'stop_slideshow' => '×”×¤×¡×§×ª ×”×ž×¦×’×ª',
	'view_fs' => '×™×© ×œ×”×§×œ×™×§ ×œ×¦×¤×™×” ×‘×ª×ž×•× ×” ×‘×’×•×“×œ ×ž×œ×',
	'edit_pic' => '×ž××¤×™×™× ×™×', //cpg1.3.0
	'crop_pic' => '×¢×¨×™×›×”', //cpg1.3.0
);

$lang_picinfo = array(
	'title' =>'×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥',
	'Filename' => '×©× ×”×§×•×‘×¥',
	'Album name' => '×©× ×”××œ×‘×•×',
	'Rating' => '×“×¨×•×’ (%s ×§×•×œ×•×ª)',
	'Keywords' => '×ž×™×œ×•×ª ×ž×¤×ª×—',
	'File Size' => '×’×•×“×œ ×§×•×‘×¥',
	'Dimensions' => '×ž×ž×“×™×',
	'Displayed' => '×”×•×¦×’×”',
	'Camera' => '×ž×¦×œ×ž×”',
	'Date taken' => '×¦×•×œ×ž×” ×‘×ª××¨×™×š',
	'Aperture' => '×ž×™×¤×ª×— ×¦×ž×¦×',
	'Exposure time' => '×–×ž×Ÿ ×—×©×™×¤×”',
	'Focal length' => '××•×¨×š ×ž×•×§×“',
	'Comment' => '×”×¢×¨×”',
	'addFav'=>'×”×•×¡×¤×” ×œ"×ž×•×¢×“×¤×™× ×©×œ×™"', //cpg1.3.0
	'addFavPhrase'=>'×ž×•×¢×“×¤×™×', //cpg1.3.0
	'remFav'=>'×”×¡×¨×” ×ž"×”×ž×•×¢×“×¤×™× ×©×œ×™"', //cpg1.3.0
	'iptcTitle'=>'×›×•×ª×¨×ª IPTC', //cpg1.3.0
	'iptcCopyright'=>'×–×›×•×™×•×ª ×™×•×¦×¨×™× IPTC', //cpg1.3.0
	'iptcKeywords'=>'×ž×œ×•×ª ×ž×¤×ª×— IPTC', //cpg1.3.0
	'iptcCategory'=>'×§×˜×’×•×¨×™×” IPTC', //cpg1.3.0
	'iptcSubCategories'=>'×ª×ª-×§×˜×’×•×¨×™×•×ª IPTC', //cpg1.3.0
);

$lang_display_comments = array(
	'OK' => 'OK',
	'edit_title' => '×¢×¨×™×›×ª ×”×¢×¨×” ×–×•',
	'confirm_delete' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ×”×•×“×¢×” ×–×•?',
	'add_your_comment' => '×”×•×¡×¤×ª ×”×¢×¨×”',
	'name'=>'×©×',
	'comment'=>'×”×¢×¨×”',
	'your_name' => '×× ×•× ×™×ž×™',
);

$lang_fullsize_popup = array(
  'click_to_close' => '×œ×¡×’×™×¨×ª ×”×—×œ×•×Ÿ ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×”×ª×ž×•× ×”', // Missing 1.30 !!!
);

}

// ------------------------------------------------------------------------- //
// File ecard.php
// ------------------------------------------------------------------------- //

if (defined('ECARDS_PHP') || defined('DISPLAYECARD_PHP')) $lang_ecard_php =array(
	'title' => '×©×œ×™×—×ª ×’×œ×•×™×” ×•×™×¨×˜×•××œ×™×ª',
	'invalid_email' => '<b>××–×”×¨×”</b>: ×›×ª×•×‘×ª ×“×•×"×œ ×©×’×•×™×”!',
	'ecard_title' => 'An e-card from %s',
	'error_not_image' => '×¨×§ ×ª×ž×•× ×•×ª ××¤×©×¨ ×œ×©×œ×•×— ×›×’×œ×•×™×”', //cpg1.3.0
	'view_ecard' => 'If the e-card does not display correctly, click this link',
	'view_more_pics' => 'Click this link to view more pictures !',
	'send_success' => '×”×’×œ×•×™×” × ×©×œ×—×”',
	'send_failed' => '×¡×œ×™×—×” ××š ×”×©×¨×ª ××™× ×• ×™×›×•×œ ×œ×©×œ×•×— ××ª ×”×’×œ×•×™×”...',
	'from' => '×ž××ª',
	'your_name' => '×©×ž×š',
	'your_email' => '×›×ª×•×‘×ª ×”×“×•×"×œ ×©×œ×š',
	'to' => '××œ',
	'rcpt_name' => '×©× ×”× ×ž×¢×Ÿ',
	'rcpt_email' => '×›×ª×•×‘×ª ×“×•×"×œ ×”× ×ž×¢×Ÿ',
	'greetings' => '×‘×¨×›×•×ª',
	'message' => '×”×•×“×¢×”',
);

// ------------------------------------------------------------------------- //
// File editpics.php
// ------------------------------------------------------------------------- //

if (defined('EDITPICS_PHP')) $lang_editpics_php = array(
	'pic_info' => '×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥',
	'album' => '××œ×‘×•×',
	'title' => '×›×•×ª×¨×ª',
	'desc' => '×ª××•×¨',
	'keywords' => '×ž×œ×•×ª ×ž×¤×ª×—',
	'pic_info_str' => '%s&times;%s - %sKB, ×¢× %s ×¦×¤×™×•×ª ×•- %s ×§×•×œ×•×ª',
	'approve' => '××™×©×•×¨ ×”×§×•×‘×¥',
	'postpone_app' => '×“×—×™×™×ª ×”××™×©×•×¨',
	'del_pic' => '×ž×—×™×§×ª ×”×§×•×‘×¥',
	'read_exif' => '×§×¨×™××” ×ž×—×“×© ×©×œ ×ž×™×“×¢ EXIF', //cpg1.3.0
	'reset_view_count' => '××™×¤×•×¡ ×ž×•× ×” ×¦×¤×™×•×ª',
	'reset_votes' => '××™×¤×•×¡ ×§×•×œ×•×ª',
	'del_comm' => '×ž×—×™×§×ª ×”×¢×¨×•×ª',
	'upl_approval' => '××™×©×•×¨ ×”×¢×‘×¨×”',
	'edit_pics' => '×¢×¨×™×›×ª ×§×‘×¦×™×',
	'see_next' => '×¦×¤×™×” ×‘×§×‘×¦×™× ×”×‘××™×',
	'see_prev' => '×¦×¤×™×” ×‘×§×‘×¦×™× ×”×§×•×“×ž×™×',
	'n_pic' => '%s ×§×‘×¦×™×',
	'n_of_pic_to_disp' => '×ž×¡×¤×¨ ×§×‘×¦×™× ×œ×”×¦×’×”',
	'apply' => '×‘×™×¦×•×¢ ×”×©×™× ×•×™×™×',
	'crop_title' => '×¢×•×¨×š ×”×ª×ž×•× ×•×ª ×©×œ Coppermine', //cpg1.3.0
	'preview' => '×ª×¦×•×’×” ×ž×•×§×“×ž×ª', //cpg1.3.0
	'save' => '×©×ž×™×¨×ª ×”×ª×ž×•× ×”', //cpg1.3.0
	'save_thumb' =>'×©×ž×™×¨×” ×›×“×•×’×ž×™×ª', //cpg1.3.0
	'sel_on_img' =>'×”×‘×—×™×¨×” ×¦×¨×™×›×” ×œ×”×™×•×ª ×›×•×œ×” ×¢×œ ×”×ª×ž×•× ×”!', //js-alert //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File faq.php //cpg1.3.0
// ------------------------------------------------------------------------- //

if (defined('FAQ_PHP')) $lang_faq_php = array(
	'faq' => '×ª×©×•×‘×•×ª ×œ×©××œ×•×ª × ×¤×•×¦×•×ª', //cpg1.3.0
	'toc' => '×ª×•×›×Ÿ ×”×¢× ×™×™× ×™×', //cpg1.3.0
	'question' => '×©××œ×”: ', //cpg1.3.0
	'answer' => '×ª×©×•×‘×”: ', //cpg1.3.0
);

if (defined('FAQ_PHP')) $lang_faq_data = array(
	'×›×œ×œ×™', //cpg1.3.0
	array('×ž×“×•×¢ ×¦×¨×™×š ×œ×”×¨×©×?', '×”×“×¨×™×©×” ×œ×¨×™×©×•× ×‘×’×œ×¨×™×” ×ª×œ×•×™×” ×‘×ž× ×”×œ ×”×’×œ×¨×™×”. ×‘×“×¨×š ×›×œ×œ × ×“×¨×© ×¨×™×©×•× ×›×“×™ ×œ×™×¦×•×¨ ××œ×‘×•×ž×™×, ×œ×”×¢×œ×•×ª ×§×‘×¦×™×, ×œ×™×¦×•×¨ ×¨×©×™×ž×ª ×ž×•×¢×“×¤×™×, ×œ×›×ª×•×‘ ×”×¢×¨×•×ª ×•×¢×•×“. ', 'allow_user_registration', '0'), //cpg1.3.0
	array('×›×™×¦×“ × ×¨×©×ž×™×?', '×™×© ×œ×”×§×œ×™×§ ×¢×œ "×¨×™×©×•×", ×•×œ×ž×œ× ××ª ×”×¤×¨×˜×™× ×”×“×¨×•×©×™×.<br />×× ×ž× ×”×œ ×”×’×œ×¨×™×” ×”×¤×¢×™×œ ××ª ×ž× ×’× ×•×Ÿ ×‘×“×™×§×ª ×”×“×•×"×œ, ××– ×‘×ª×•× ×”×¨×™×©×•× ×ª×©×œ×— ××œ×™×š ×”×•×“×¢×ª ×“×•×"×œ ×•×‘×” ×§×™×©×•×¨ ×•×”×•×¨××•×ª. ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×”×§×™×©×•×¨ ×•×œ×¢×§×•×‘ ××—×¨ ×”×”×•×¨××•×ª, ×›×“×™ ×©×”×¨×™×©×•× ×™×›× ×¡ ×œ×ª×•×§×£.', 'allow_user_registration', '1'), //cpg1.3.0
	array('×›×™×¦×“ ×œ×”×ª×—×‘×¨?', '×™×© ×œ×”×§×œ×™×§ ×¢×œ "×”×ª×—×‘×¨×•×ª" ×•×œ×”×§×œ×™×“ ××ª ×”×©× ×•×”×¡×™×¡×ž× ×©×‘×—×¨×ª ×‘×¢×ª ×”×¨×™×©×•×. ×ž×•×ž×œ×¥ ×œ×¡×ž×Ÿ ××ª ×ª×™×‘×ª "×—×‘×¨ ××•×ª×™ ××•×˜×•×ž×˜×™×ª ×‘×›×œ ×‘×™×§×•×¨".<br />×—×©×•×‘: ×™×© ×œ×•×“× ×©×ª×•×›× ×ª ×”×’×œ×™×©×” ×ž×§×‘×œ×ª Cookies ×›×“×™ ×©×”×—×™×‘×•×¨ ×”××•×˜×•×ž×˜×™ ×™×¤×¢×œ.</b>', 'offline', 0), //cpg1.3.0
	array('×›×©×× ×™ ×ž× ×¡×” ×œ×”×ª×—×‘×¨ ×”×¤×¢×•×œ×” × ×›×©×œ×ª, ×ž×“×•×¢?', '×”×× ×‘×™×¦×¢×ª ××ª ×ª×”×œ×™×š ×”×¨×™×©×•× ×‘×ž×œ×•××•? ×™×ª×›×Ÿ ×©×”×¨×™×©×•× ×“×•×¨×© ××™×ž×•×ª ×“×•×"×œ - ×”×× ×”×’×™×¢×” ××œ×™×š ×”×•×“×¢×” ×•×¤×¢×œ×ª ×œ×¤×™ ×”×”×•×¨××•×ª ×©×‘×”? ×× ×¤×¢×œ×ª ×œ×¤×™ ×”×”×•×¨××•×ª ×•×¢×“×™×™×Ÿ ××™×Ÿ ×‘××¤×©×¨×•×ª×š ×œ×”×ª×—×‘×¨, ×¢×œ×™×š ×œ×¤× ×•×ª ×œ×ž× ×”×œ ×”×’×œ×¨×™×”.', 'offline', 0), //cpg1.3.0
	array('×ž×” ×œ×¢×©×•×ª ×× ×©×›×—×ª×™ ××ª ×”×¡×™×¡×ž× ×©×œ×™?', '×× ×ž×•×¤×™×¢ ×§×™×©×•×¨ "×©×›×—×ª×™ ××ª ×¡×™×¡×ž×ª×™" ×™×© ×œ×”×§×œ×™×§ ×¢×œ×™×• ×•×œ×¤×¢×•×œ ×œ×¤×™ ×”×”×•×¨××•×ª. ×× ×œ× ×ž×•×¤×™×¢ ×§×™×©×•×¨ ×›×–×”, ×™×© ×œ×¤× ×•×ª ×œ×ž× ×”×œ ×”×’×œ×¨×™×”.', 'offline', 0), //cpg1.3.0
	array('×ž×” ×œ×¢×©×•×ª ×›××©×¨ ×ž×©×ª× ×” ×›×ª×•×‘×ª ×”×“×•×"×œ ×©×œ×™?', '×¢×œ×™×š ×œ×”×ª×—×‘×¨ ×•××– ×œ×”×§×œ×™×§ ×¢×œ ×”×§×™×©×•×¨ "×¤×¨×•×¤×™×œ" ×‘×ª×¤×¨×™×˜ ×”×¨××©×™, ×•×œ×¢×“×›×Ÿ ××ª ×©×“×” ×›×ª×•×‘×ª ×”×“×•×"×œ.', 'offline', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×”×•×¡×™×£ ×§×•×‘×¥ ×œ"×ž×•×¢×“×¤×™× ×©×œ×™"?', '×™×© ×œ×”×§×œ×™×§ ×¢×œ ×§×•×‘×¥ ×•××—×¨ ×›×š ×¢×œ "×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥" (<img src="images/info.gif" width="16" height="16" border="0" alt="Picture information" />), ×•××– ×œ×”×§×œ×™×§ ×¢×œ ××¤×©×¨×•×ª "×”×•×¡×¤×” ×œ×ž×•×¢×“×¤×™× ×©×œ×™" ×©×ž×•×¤×™×¢×” ×‘×—×œ×§ ×”×ž×™×“×¢ ×œ×ž×˜×”.<br />×™×ª×›×Ÿ ×©×”×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥ ×›×‘×¨ ×™×•×¤×™×¢ ×‘××•×¤×Ÿ ××•×˜×•×ž×˜×™.<br />×—×©×•×‘: ×™×© ×œ×•×“× ×©×ª×•×›× ×ª ×”×’×œ×™×©×” ×ž×§×‘×œ×ª Cookies ×›×“×™ ×©×¨×©×™×ž×ª "×”×ž×•×¢×“×¤×™× ×©×œ×™" ×ª×¤×¢×œ.', 'offline', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×“×¨×’ ×§×‘×¦×™×?', '×™×© ×œ×”×›× ×¡ ××œ ×”×§×•×‘×¥ ×”×ž×œ× (×‘×œ×—×™×¦×” ×¢×œ ×”×“×•×’×ž×™×ª) ×•×œ×‘×—×•×¨ ××—×“ ×ž×”×“×¨×•×’×™× ×”×ž×•×¤×™×¢×™× ×ž×ª×—×ª ×œ×§×•×‘×¥.', 'offline', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×”×•×¡×™×£ ×”×¢×¨×” ×œ×§×•×‘×¥?', '×™×© ×œ×”×›× ×¡ ××œ ×”×§×•×‘×¥ ×”×ž×œ× (×‘×œ×—×™×¦×” ×¢×œ ×”×“×•×’×ž×™×ª), ×œ×›×ª×•×‘ ××ª ×”×”×¢×¨×” ×‘×©×•×¨×” ×”×ž×ª××™×ž×” ×‘×ª×—×ª×™×ª ×”×ž×¡×š, ×•×œ×¡×™×•× ×œ××©×¨ ×‘×œ×—×™×¦×” ×¢×œ ×”×›×¤×ª×•×¨.', 'offline', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×”×¢×œ×•×ª ×§×•×‘×¥?', '×™×© ×œ×‘×—×•×¨ "×”×•×¡×¤×ª ×§×•×‘×¥" ×ž×”×ª×¤×¨×™×˜ ×”×¨××©×™ ×©×œ ×”×’×œ×¨×™×”, ×œ×‘×—×•×¨ ××ª ×”××œ×‘×•× ××œ×™×• ×‘×¨×¦×•× ×š ×œ×”×•×¡×™×£ ××ª ×”×§×•×‘×¥, ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ Browse ×•×œ×‘×—×•×¨ ××ª ×”×§×•×‘×¥ ×”×ž×™×•×¢×“. ××¤×©×¨ ××š ×œ× ×—×•×‘×” ×œ×ž×œ× ×’× ××ª ×©×“×•×ª ×”×›×•×ª×¨×ª ×•×”×ª××•×¨. ×•×œ×¡×™×•× ×™×© ×œ×”×§×œ×™×§ ×¢×œ Submit ×•×œ×”×ž×ª×™×Ÿ ×œ×”×•×“×¢×ª ×”××™×©×•×¨.', 'allow_private_albums', 0), //cpg1.3.0
	array('×œ××Ÿ ×‘××¤×©×¨×•×ª×™ ×œ×”×•×¡×™×£ ×§×‘×¦×™×?', '×‘××¤×©×¨×•×ª×š ×œ×”×•×¡×™×£ ×§×‘×¦×™× ×œ××œ×‘×•×ž×™×š ×”×¤×¨×˜×™×™× ×”×ž×•×¤×¢×™× ×‘"×”×’×œ×¨×™×” ×©×œ×™". ×¢×œ ×¤×™ ×”×—×œ×˜×ª ×ž× ×”×œ ×”×’×œ×¨×™×” ×’× ××œ×‘×•×ž×™× ×¦×™×‘×•×¨×™×™× ×™×›×•×œ×™× ×œ×”×™×•×ª ×¤×ª×•×—×™× ×œ×”×•×¡×¤×”.', 'allow_private_albums', 0), //cpg1.3.0
	array('×ž×” ×¡×•×’ ×•×’×•×“×œ ×”×§×‘×¦×™× ×©××¤×©×¨ ×œ×”×•×¡×™×£?', '×¡×•×’×™ ×”×§×‘×¦×™× ×”×ž×•×ª×¨×™× (×›×’×•×Ÿ JPG, GIF) ×•×’×•×“×œ× ×”×ž×§×¡×™×ž×œ×™ × ×§×‘×¢×™× ×¢×œ ×™×“×™ ×ž× ×”×œ ×”×’×œ×¨×™×”.', 'offline', 0), //cpg1.3.0
	array('×ž×”×™ "×”×’×œ×¨×™×” ×©×œ×™"?', '"×”×’×œ×¨×™×” ×©×œ×™" ×›×©×ž×” ×›×Ÿ ×”×™×, ×’×œ×¨×™×” ×¤×¨×˜×™×ª ×œ×›×œ ×ž×©×ª×ž×© ×ž×•×¨×©×”, ×©×‘×” ×”×•× ×—×•×¤×©×™ ×œ× ×”×œ ××œ×‘×•×ž×™× ×•×œ×”×•×¡×™×£ ×§×‘×¦×™× ×‘×ž×¡×’×¨×ª ×”×ž×’×‘×œ×•×ª ×©×§×•×‘×¢ ×ž× ×”×œ ×”×’×œ×¨×™×”.', 'allow_private_albums', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×¤×ª×•×— ×•×œ×ž×—×•×§ ××œ×‘×•×ž×™× ××• ×œ×©× ×•×ª ×©× ××œ×‘×•×?', '×× ××™× ×š ×‘"×ž×¦×‘ ×ž× ×”×œ" ×¢×œ×™×š ×œ×”×§×œ×™×§ ×¢×œ "×ž×¦×‘ ×ž× ×”×œ" ×‘×ª×¤×¨×™×˜ ×”×¨××©×™ ×©×œ ×”×’×œ×¨×™×”. ×œ××—×¨ ×ž×›×Ÿ ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ "×¤×ª×™×—×ª/××¨×’×•×Ÿ ×”××œ×‘×•×ž×™× ×©×œ×™" ×›×“×™ ×œ×”×›× ×¡ ×œ×ž×¡×š × ×™×”×•×œ ×”××œ×‘×•×ž×™×.<br />×œ×¤×ª×™×—×ª ××œ×‘×•× ×—×“×©: ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ "×¤×ª×™×—×ª ×—×“×©" ×•×œ×”×§×œ×™×“ ×©× ×œ××œ×‘×•× ×‘×©×•×¨×” ×©×‘×ª×—×ª×™×ª ×”×ž×¡×š.<br />×œ×©×™× ×•×™ ×©× ××œ×‘×•×: ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×©× ×”××œ×‘×•× ×‘×¨×©×™×ž×”, ×•××– ×œ×”×§×œ×™×“ ××ª ×”×©× ×”×—×“×© ×‘×©×•×¨×” ×©×‘×ª×—×ª×™×ª.<br />×œ×ž×—×™×§×ª ××œ×‘×•×: ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×©× ×”××œ×‘×•× ×‘×¨×©×™×ž×”, ×•××—"×› ×¢×œ ×›×¤×ª×•×¨ "×ž×—×™×§×”".<br />×‘×¡×™×•× ×”×¤×¢×•×œ×•×ª ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ "×‘×™×¦×•×¢ ×©×™× ×•×™×™×".<br />×ž×•×ž×œ×¥ ×œ×‘×¦×¢ ×ž×—×™×§×” ×•×©×™× ×•×™ ×ž×ž×¡×š "×”×’×œ×¨×™×” ×©×œ×™", ×‘××ž×¦×¢×•×ª ×›×¤×ª×•×¨×™ "×ž×—×™×§×”" ×•"×ž××¤×™×™× ×™×" ×”×ž×•×¤×™×¢×™× ×œ×™×“ ×›×œ ××œ×‘×•×. ×‘×ž×¡×š "×ž××¤×™×™× ×™×" × ×™×ª×Ÿ ×œ×©× ×•×ª ××ª ×›×œ ×ž××¤×™×™× ×™ ×”××œ×‘×•×. <br />×›×ž×• ×›×Ÿ × ×™×ª×Ÿ ×œ×”×’×™×¢ ×œ×ž×¡×š ×”×ž××¤×™×™× ×™× ×‘××ž×¦×¢×•×ª ×œ×—×™×¦×” ×¢×œ "×©×™× ×•×™ ×”××œ×‘×•×ž×™× ×©×œ×™" ×•×‘×—×™×¨×ª ×”××œ×‘×•× ×”×ž×‘×•×§×© ×ž×”×¨×©×™×ž×” ×”× ×’×œ×œ×ª.', 'allow_private_albums', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×©×œ×•×˜ ×‘×”×¨×©××•×ª ×©×œ ×ž×©×ª×ž×©×™× ××—×¨×™× ×œ×¦×¤×•×ª ×‘××œ×‘×•×ž×™× ×©×œ×™?', '×× ××™× ×š ×‘"×ž×¦×‘ ×ž× ×”×œ" ×¢×œ×™×š ×œ×”×§×œ×™×§ ×¢×œ "×ž×¦×‘ ×ž× ×”×œ" ×‘×ª×¤×¨×™×˜ ×”×¨××©×™ ×©×œ ×”×’×œ×¨×™×”. ×œ××—×¨ ×ž×›×Ÿ ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ "×©×™× ×•×™ ×”××œ×‘×•×ž×™× ×©×œ×™" ×•×œ×‘×—×•×¨ ××ª ×”××œ×‘×•× ×”×ž×‘×•×§×© ×ž×”×¨×©×™×ž×” ×”× ×’×œ×œ×ª.<br />×‘×ž×¡×š ×–×” ×‘××¤×©×¨×•×ª×š ×œ×©×œ×•×˜ ×‘×›×œ ×ž××¤×™×™× ×™ ×”××œ×‘×•×: ×©×, ×“×•×’×ž×™×ª ×ž×™×™×¦×’×ª, ×”×¨×©××•×ª, ×•×¢×•×“.<br />×‘×¡×™×•× ×”×©×™× ×•×™×™× ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ "×¢×“×›×•×Ÿ ×”××œ×‘×•×" ×©×‘×ª×—×ª×™×ª ×”×ž×¡×š.<br />××¤×©×¨ ×œ×”×’×™×¢ ×œ×ž×¡×š ×–×” ×’× ×“×¨×š "×”×’×œ×¨×™×” ×©×œ×™" ×•×œ×—×™×¦×” ×¢×œ ×›×¤×ª×•×¨ "×ž××¤×™×™× ×™×" ×”×ž×•×¤×™×¢ ×”××œ×‘×•×.', 'allow_private_albums', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×¦×¤×•×ª ×‘××œ×‘×•×ž×™× ×©×œ ×ž×©×ª×ž×©×™× ××—×¨×™×?', '×™×© ×œ×‘×—×•×¨ "×¨×©×™×ž×ª ××œ×‘×•×ž×™×" ×ž×”×ª×¤×¨×™×˜ ×”×¨××©×™ ×©×œ ×”×’×œ×¨×™×”. ×ž×ž×¡×š ×”××œ×‘×•×ž×™× ×”×¨××©×™ ×™×© ×œ×‘×—×•×¨ ×‘×§×˜×’×•×¨×™×” "××œ×‘×•×ž×™ ×—×‘×¨×™×" (×›×•×ª×¨×ª ×”×§×˜×’×•×¨×™×” ×¢×©×•×™×” ×œ×”×™×•×ª ×©×•× ×” ×ž×¢×˜).', 'allow_private_albums', 0), //cpg1.3.0
	array('×ž×”×Ÿ Cookies', 'Cookies ×”×•× ×›×™× ×•×™ ×—×™×‘×” ×œ×§×‘×¦×™ ×ž×™×“×¢ ×§×˜× ×™×, ×©××ª×¨×™ ××™× ×˜×¨× ×˜ ×ž×©×ª×ž×©×™× ×‘×”× ×›×“×™ ×œ××—×¡×Ÿ ×ž×™×“×¢ ××™×©×™ ×‘×“×¤×“×¤×Ÿ ×©×œ×š.<br />×©×™×ž×•×© × ×›×•×Ÿ ×‘-Cookies ×ž××¤×©×¨ ×œ××ª×¨ ××™× ×˜×¨× ×˜ ×œ×—×¡×•×š ×œ×ž×©×ª×ž×© ×˜×¨×—×”, ×œ×ž×©×œ ×œ×”×ª×—×‘×¨ ××•×˜×•×ž×˜×™×ª ×‘××ž×¦×¢×•×ª ×©× ×•×¡×™×¡×ž× ××• ×œ××’×•×¨ ×¨×©×™×ž×” ×©×œ ×§×‘×¦×™× ×ž×•×¢×“×¤×™×.<br />×‘×“×¨×š ×›×œ×œ ×©×™×ž×•×© ×‘-Cookies ×‘×˜×•×— ×•×™×¢×™×œ, ××š ××ª×¨×™× ×ž×¡×•×™×™×ž×™× ×ž× ×¦×œ×™× ×ž× ×’× ×•×Ÿ ×–×” ×‘×¦×•×¨×” ×œ× ×”×•×’× ×ª (×”× ×•×©× ×’×“×•×œ ×•×¡×‘×•×š ×•×œ× ×›××Ÿ ×”×ž×§×•× ×œ×¤×¨×˜). ×›×ž×•×‘×Ÿ ×©×”×’×œ×¨×™×” ×ž×©×ª×ž×©×ª ×‘-Cookies ×‘×¦×•×¨×” ×‘×˜×•×—×” ×•×”×•×’× ×ª, ×œ×˜×•×‘×ª ×”×ž×©×ª×ž×©×™× ×•×œ× ×•×—×™×•×ª× ×‘×œ×‘×“.', 'offline', 0), //cpg1.3.0
	array('××™×š ××¤×©×¨ ×œ×”×©×™×’ ××ª ×ª×•×›× ×ª ×”×’×œ×¨×™×” ×”×–×• ×œ×©×™×ž×•×© ×‘××ª×¨ ×©×œ×™?', 'Coppermine ×”×™× ×’×œ×¨×™×™×ª ×ž×•×œ×˜×™×ž×“×™×” ×—×•×¤×©×™×ª ×•×‘×—×™× ×, ×”×ž×•×¤×¦×ª ×ª×—×ª ×¨×©×™×•×Ÿ ×ª×•×›× ×” ×—×•×¤×©×™×ª (GNU GPL). ×”×’×œ×¨×™×” ×¢×©×™×¨×” ×‘×ª×›×•× ×•×ª ×ž×ª×§×“×ž×•×ª ×•×ž×ª××™×ž×” ×œ×”×ª×§× ×” ×¢×œ ×¤×œ×˜×¤×•×¨×ž×•×ª (×ž×¢×¨×›×•×ª ×”×¤×¢×œ×”) ×©×•× ×•×ª. ×œ×¤×¨×˜×™× × ×•×¡×¤×™× ×•×”×•×¨×“×ª ×”×ª×•×›× ×” × × ×œ×‘×§×¨ ×‘- <a href="http://coppermine.sf.net/">××ª×¨ ×”×‘×™×ª ×©×œ Coppermine</a>.', 'offline', 0), //cpg1.3.0

	' ×ª×¤×¨×™×˜ ×”× ×™×•×•×˜ ×‘×’×œ×¨×™×”', //cpg1.3.0
	array('×¨×©×™×ž×ª ××œ×‘×•×ž×™×', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ××ª ×¨×©×™×ž×ª ×”××œ×‘×•×ž×™× ×”×ž×œ××” ×‘×’×œ×¨×™×”, ×ž×¡×•×“×¨×™× ×‘×§×˜×’×•×¨×™×•×ª ×•×ž×œ×•×•×™× ×‘×“×•×’×ž×™×•×ª. ×–×”×• ×‘×¢×¦× ×”×¢×ž×•×“ ×”×¨××©×™ ×©×œ ×”×’×œ×¨×™×”.', 'offline', 0), //cpg1.3.0
	array('×”×’×œ×¨×™×” ×©×œ×™', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ××ª ×¢×ž×•×“ ×”×’×œ×¨×™×” ×”×¤×¨×˜×™×ª ×©×œ×š, ×‘×” ×ª×•×›×œ (×× ×™×© ×œ×š ×”×¨×©××•×ª ×ž×ž× ×”×œ ×”×’×œ×¨×™×”), ×œ×™×¦×•×¨ ×•×œ× ×”×œ ××œ×‘×•×ž×™× ×¤×¨×˜×™×™×.', 'allow_private_albums', 0), //cpg1.3.0
	array('×ž×” ×”×”×‘×“×œ ×‘×™×Ÿ "×ž×¦×‘ ×ž× ×”×œ" ×œ×‘×™×Ÿ "×ž×¦×‘ ×ž×©×ª×ž×©"?', '"×ž×¦×‘ ×ž× ×”×œ" ×¤×ª×•×— ×¨×§ ×œ×ž×©×ª×ž×©×™× ×¨×©×•×ž×™× ×•×‘×• × ×¤×ª×—×•×ª ×‘×¤× ×™×š ××¤×©×¨×•×™×•×ª ×”× ×™×”×•×œ ×©×œ "×”×’×œ×¨×™×” ×©×œ×™". ×œ×¢×•×ž×ª×• ×‘"×ž×¦×‘ ×ž×©×ª×ž×©" ×‘××¤×©×¨×•×ª×š ×¨×§ ×œ×©×•×˜×˜ ×‘×’×œ×¨×™×” ×•×œ×¦×¤×•×ª ×‘×§×‘×¦×™× (×›×ž×• ××•×¨×— ×©××™× ×• ×¨×©×•×).', 'allow_private_albums', 0), //cpg1.3.0
	array('×”×•×¡×¤×ª ×§×•×‘×¥', '××¤×©×¨×•×ª ×–×• ×ž×¤×¢×™×œ×” ××ª ×ž×ž×©×§ ×”×¢×œ××ª ×§×•×‘×¥. ×ž×•×ª×¨ ×œ×š ×œ×”×•×¡×™×£ ×§×‘×¦×™× ×¨×§ ×œ××•×ª× ××œ×‘×•×ž×™× ×œ×”× ×ž× ×”×œ ×”×’×œ×¨×™×” × ×ª×Ÿ ×œ×š ×”×¨×©××•×ª ×ž×ª××™×ž×•×ª. ×¡×•×’×™ ×”×§×‘×¦×™× ×”×ž×•×ª×¨×™× ×•×’×•×“×œ× ×”×ž×§×¡×™×ž×œ×™ ×ž×•×’×‘×œ×™× ×¢×œ ×¤×™ ×”×—×œ×˜×ª ×ž× ×”×œ ×”×’×œ×¨×™×”.', 'allow_private_albums', 0), //cpg1.3.0
	array('×§×‘×¦×™× ××—×¨×•× ×™×', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ×ž×¡×š ×‘×• ×ž×¨×•×›×–×™× ×”×§×‘×¦×™× ×”××—×¨×•× ×™× ×©× ×•×¡×¤×• ×œ×›×œ×œ ×”××œ×‘×•×ž×™×.', 'offline', 0), //cpg1.3.0
	array('×”×¢×¨×•×ª ××—×¨×•× ×•×ª', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ××ª ×”×§×‘×¦×™× ×œ×”× × ×›×ª×‘×• ×”×¢×¨×•×ª ×œ××—×¨×•× ×”, ×ž×›×œ×œ ×”××œ×‘×•×ž×™×.', 'offline', 0), //cpg1.3.0
	array('× ×¦×¤×•×ª ×‘×™×•×ª×¨', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ××ª ×”×§×‘×¦×™× ×©×–×›×• ×œ××—×•×–×™ ×”×¦×¤×™×™×” ×”×’×‘×•×”×™× ×‘×™×•×ª×¨ ×¢×œ ×™×“×™ ×›×œ×œ ×”×ž×‘×§×¨×™× ×‘×’×œ×¨×™×”.', 'offline', 0), //cpg1.3.0
	array('×–×›×• ×œ×“×¨×•×’×™× ×”×’×‘×•×”×™× ×‘×™×•×ª×¨', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ××ª ×”×§×‘×¦×™× ×©×–×›×• ×œ×“×¨×•×’×™× ×”×’×‘×•×”×™× ×‘×™×•×ª×¨ ×‘×›×œ×œ ×”×’×œ×¨×™×”, ×¢× ×”×“×¨×•×’ ×”×ž×ž×•×¦×¢ ×œ×›×œ ×§×•×‘×¥.<br />×”×“×¨×•×’×™× × ×¢×™× ×‘×™×Ÿ <img src="images/rating5.gif" width="65" height="14" border="0" alt="best" /> (×¦×™×•×Ÿ ×’×‘×•×” ×‘×™×•×ª×¨) ×œ×‘×™×Ÿ <img src="images/rating0.gif" width="65" height="14" border="0" alt="worst" /> (×¦×™×•×Ÿ × ×ž×•×š ×‘×™×•×ª×¨).', 'offline', 0), //cpg1.3.0
	array('×”×ž×•×¢×“×¤×™× ×©×œ×™', '××¤×©×¨×•×ª ×–×• ×ž×¦×™×’×” ×‘×¤× ×™×š ××ª ×›×œ ×”×§×‘×¦×™× ×©×‘×—×¨×ª ×œ×”×•×¡×™×£ ×œ×¨×©×™×ž×ª ×”×ž×•×¢×“×¤×™× ×©×œ×š (×”×¡×‘×¨ ×œ×¢×™×œ).', 'offline', 0), //cpg1.3.0
);


// ------------------------------------------------------------------------- //
// File forgot_passwd.php //cpg1.3.0
// ------------------------------------------------------------------------- //

if (defined('FORGOT_PASSWD_PHP')) $lang_forgot_passwd_php = array(
	'forgot_passwd' => '×ª×–×›×•×¨×ª ×¡×™×¡×ž×', //cpg1.3.0
	'err_already_logged_in' => '××ª/×” ×›×‘×¨ ×ž×—×•×‘×¨×ª !', //cpg1.3.0
	'enter_username_email' => '× × ×œ×”×§×œ×™×“ ×©× ×ž×©×ª×ž×© ××• ×›×ª×•×‘×ª ×“×•×"×œ', //cpg1.3.0
	'submit' => '×©×œ×—', //cpg1.3.0
	'failed_sending_email' => '×©×œ×™×—×ª ×ª×–×›×•×¨×ª ×¡×™×¡×ž× ×‘×“×•×"×œ × ×›×©×œ×” !', //cpg1.3.0
	'email_sent' => '×ª×–×›×•×¨×ª ×¡×™×¡×ž× × ×©×œ×—×” ×‘×“×•×"×œ ××œ %s', //cpg1.3.0
	'err_unk_user' => '×©× ×”×ž×©×ª×ž×© ×©×”×•×§×œ×“ ××™× ×• ×§×™×™×!', //cpg1.3.0
	'passwd_reminder_subject' => '%s - Password reminder', //cpg1.3.0
	'passwd_reminder_body' => 'You have requested to be reminded on your login data:
Username: %s
Password: %s
Click %s to log in.', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File groupmgr.php
// ------------------------------------------------------------------------- //

if (defined('GROUPMGR_PHP')) $lang_groupmgr_php = array(
	'group_name' => '×©× ×”×§×‘×•×¦×”',
	'disk_quota' => '×”×§×¦××ª × ×¤×— ×“×™×¡×§',
	'can_rate' => '×”×¨×©××” ×œ×“×¨×•×’ ×§×‘×¦×™×',
	'can_send_ecards' => '×”×¨×©××” ×œ×©×œ×•×— ×’×œ×•×™×•×ª',
	'can_post_com' => '×”×¨×©××” ×œ×›×ª×•×‘ ×”×¢×¨×•×ª',
	'can_upload' => '×”×¨×©××” ×œ×”×•×¡×¤×ª ×§×‘×¦×™×',
	'can_have_gallery' => '×”×¨×©××” ×œ×’×œ×¨×™×” ××™×©×™×ª',
	'apply' => '×‘×™×¦×•×¢ ×”×©×™× ×•×™×™×',
	'create_new_group' => '×™×¦×™×¨×ª ×§×‘×•×¦×” ×—×“×©×”',
	'del_groups' => '×ž×—×™×§×ª ×”×§×‘×•×¦×•×ª ×”×ž×¡×•×ž× ×•×ª',
	'confirm_del' => '××–×”×¨×”: ×ž×—×™×§×ª ×§×‘×•×¦×” ×ª×’×¨×•× ×œ×”×¢×‘×¨×ª ×›×œ ×”×ž×©×ª×ž×©×™× ×‘×§×‘×•×¦×” ××œ ×§×‘×•×¦×ª "Registered" - ×”×× ×‘×¨×¦×•× ×š ×œ×”×ž×©×™×š?',
	'title' => '× ×™×”×•×œ ×§×‘×•×¦×•×ª ×ž×©×ª×ž×©×™×',
	'approval_1' => '××™×©×•×¨ ×”×•×¡×¤×•×ª ×¦×™×‘×•×¨×™×•×ª (1)',
	'approval_2' => '××™×©×•×¨ ×”×•×¡×¤×•×ª ×¤×¨×˜×™×•×ª (2)',
	'upload_form_config' => '×ª×¦×•×¨×ª ×ž×¡×š ×”×¢×œ××ª ×§×‘×¦×™×', //cpg1.3.0
	'upload_form_config_values' => array( '×¨×§ ×”×¢×œ××ª ×§×™×©×•×¨ ×™×—×™×“', '×¨×§ ×”×¢×œ××ª ×ž×¡×¤×¨ ×§×‘×¦×™×', '×¨×§ ×”×¢×œ××ª ×§×™×©×•×¨×™× (URI)', '×¨×§ ×”×¢×œ××ª ×§×‘×¦×™ ZIP', '×§×•×‘×¥-×§×™×©×•×¨', '×§×•×‘×¥-ZIP', '×§×™×©×•×¨-ZIP', '×§×•×‘×¥-×§×™×©×•×¨-ZIP'), //cpg1.3.0
	'custom_user_upload'=>'×œ××¤×©×¨ ×œ×ž×©×ª×ž×© ×œ×©× ×•×ª ××ª ×ž×¡×¤×¨ ×”×§×‘×¦×™× ×œ×”×¢×œ××”?', //cpg1.3.0
	'num_file_upload'=>'×ž×¡×¤×¨/×ž×§×¡×™×ž×•× ×§×‘×¦×™× ×œ×”×¢×œ××”', //cpg1.3.0
	'num_URI_upload'=>'×ž×¡×¤×¨/×ž×§×¡×™×ž×•× ×§×™×©×•×¨×™× ×œ×”×¢×œ××”', //cpg1.3.0
	'note1' => '<b>(1)</b> ×”×•×¡×¤×ª ×§×‘×¦×™× ×œ××œ×‘×•× ×¦×™×‘×•×¨×™ ×“×•×¨×©×ª ××™×©×•×¨ ×ž× ×”×œ',
	'note2' => '<b>(2)</b> ×”×•×¡×¤×ª ×§×‘×¦×™× ×œ××œ×‘×•× ×¤×¨×˜×™ ×“×•×¨×©×ª ××™×©×•×¨ ×ž× ×”×œ',
	'notes' => '×”×¢×¨×•×ª'
);

// ------------------------------------------------------------------------- //
// File index.php
// ------------------------------------------------------------------------- //

if (defined('INDEX_PHP')){

$lang_index_php = array(
	'welcome' => '×‘×¨×•×›×™× ×”×‘××™×!'
);

$lang_album_admin_menu = array(
	'confirm_delete' => '?×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ××œ×‘×•× ×–×”\n!×›×œ ×”×§×‘×¦×™× ×•×”×”×¢×¨×•×ª ×©×‘×• ×™××‘×“×• ×œ×œ× ××¤×©×¨×•×ª ×©×—×–×•×¨',
	'delete' => '×ž×—×™×§×”',
	'modify' => '×ž××¤×™×™× ×™×',
	'edit_pics' => '×¢×¨×™×›×ª ×§×‘×¦×™×',
);

$lang_list_categories = array(
	'home' => '×“×£ ×¨××©×™',
	'stat1' => '<b>[pictures]</b> ×§×‘×¦×™× ×‘- <b>[albums]</b> ××œ×‘×•×ž×™× ×•- <b>[cat]</b> ×§×˜×’×•×¨×™×•×ª ×¢× <b>[comments]</b> ×”×¢×¨×•×ª, ×©× ×¦×¤×• <b>[views]</b> ×¤×¢×ž×™×',
	'stat2' => '<b>[pictures]</b> ×§×‘×¦×™× ×‘- <b>[albums]</b> ××œ×‘×•×ž×™×, ×©× ×¦×¤×• <b>[views]</b> ×¤×¢×ž×™×',
	'xx_s_gallery' => '×”×’×œ×¨×™×” ×©×œ %s',
	'stat3' => '<b>[pictures]</b> ×§×‘×¦×™× ×‘- <b>[albums]</b> ××œ×‘×•×ž×™× ×¢× <b>[comments]</b> ×”×¢×¨×•×ª, ×©× ×¦×¤×• <b>[views]</b> ×¤×¢×ž×™×'
);

$lang_list_users = array(
	'user_list' => '×¨×©×™×ž×ª ×ž×©×ª×ž×©×™×',
	'no_user_gal' => '××™×Ÿ ×’×œ×¨×™×•×ª ×ž×©×ª×ž×©×™×',
	'n_albums' => '%s ××œ×‘×•××ž×™×',
	'n_pics' => '%s ×§×‘×¦×™×'
);

$lang_list_albums = array(
	'n_pictures' => '%s ×§×‘×¦×™×',
	'last_added' => ', ×”××—×¨×•×Ÿ × ×•×¡×£ ×‘×ª××¨×™×š- %s'
);

}

// ------------------------------------------------------------------------- //
// File login.php
// ------------------------------------------------------------------------- //

if (defined('LOGIN_PHP')) $lang_login_php = array(
	'login' => '×”×ª×—×‘×¨×•×ª',
	'enter_login_pswd' => '×™×© ×œ×”×§×™×© ×©× ×ž×©×ª×ž×©/×ª ×•×¡×™×¡×ž× ×›×“×™ ×œ×”×ª×—×‘×¨',
	'username' => '×©× ×ž×©×ª×ž×©/×ª',
	'password' => '×¡×™×¡×ž×',
	'remember_me' => '×—×‘×¨ ××•×ª×™ ××•×˜×•×ž×˜×™×ª ×‘×¤×¢×ž×™× ×”×‘××•×ª)',
	'welcome' => '×‘×¨×•×›×™× ×”×‘××™×',
	'err_login' => '*** ×”×”×ª×—×‘×¨×•×ª × ×›×©×œ×”, × × ×œ× ×¡×•×ª ×©×•×‘ ***',
	'err_already_logged_in' => '×›×‘×¨ ×”×ª×—×‘×¨×ª!',
	'forgot_password_link' => '×©×›×—×ª×™ ××ª ×¡×™×¡×ž×ª×™', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File logout.php
// ------------------------------------------------------------------------- //

if (defined('LOGOUT_PHP')) $lang_logout_php = array(
	'logout' => '×”×ª× ×ª×§×•×ª',
	'bye' => '×œ×”×ª×¨××•×ª...',
	'err_not_loged_in' => '×¢×•×“ ×œ× ×”×ª×—×‘×¨×ª!',
);

// ------------------------------------------------------------------------- //
// File phpinfo.php //cpg1.3.0
// ------------------------------------------------------------------------- //

if (defined('PHPINFO_PHP')) $lang_phpinfo_php = array(
	'php_info' => '×ž×™×“×¢ PHP', //cpg1.3.0
	'explanation' => '×–×”×• ×”×¤×œ×˜ ×”× ×•×¦×¨ ×¢"×™ ×¤×•× ×§×¦×™×™×ª <a href="http://www.php.net/phpinfo">phpinfo()</a>.', //cpg1.3.0
	'no_link' => '×”×¦×’×ª ×”×¤×œ×˜ ×©×œ phpinfo ×¢×œ×•×œ×” ×œ×”×•×•×ª ×¤×¨×¦×ª ××‘×˜×—×”, ×œ×›×Ÿ ×¢×ž×•×“ ×–×” ×ž×•×¦×’ ×¨×§ ×œ×ž× ×”×œ ×”×’×œ×¨×™×”. ××™×Ÿ ××¤×©×¨×•×ª ×œ××—×¨×™× ×œ×”×›× ×¡ ×œ×¢×ž×•×“ ×–×” ×’× ×‘××ž×¦×¢×•×ª ×§×™×©×•×¨ (URL) ×™×©×™×¨.', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File modifyalb.php
// ------------------------------------------------------------------------- //

if (defined('MODIFYALB_PHP')) $lang_modifyalb_php = array(
	'upd_alb_n' => '×¢×“×›×•×Ÿ ××œ×‘×•× %s',
	'general_settings' => '×”×’×“×¨×•×ª ×›×œ×œ×™×•×ª',
	'alb_title' => '×›×•×ª×¨×ª ×”××œ×‘×•×',
	'alb_cat' => '×§×˜×’×•×¨×™×ª ×”××œ×‘×•×',
	'alb_desc' => '×ª××•×¨ ×”××œ×‘×•×',
	'alb_thumb' => '×“×•×’×ž×™×ª ×ž×™×™×¦×’×ª ×œ××œ×‘×•×',
	'alb_perm' => '×”×¨×©××•×ª ×œ××œ×‘×•×',
	'can_view' => '×”×¨×©××•×ª ×¦×¤×™×” ×‘××œ×‘×•× ×œ-',
	'can_upload' => '××•×¨×—×™× ×™×›×•×œ×™× ×œ×”×•×¡×™×£ ×§×‘×¦×™×',
	'can_post_comments' => '××•×¨×—×™× ×™×›×•×œ×™× ×œ×”×•×¡×™×£ ×”×¢×¨×•×ª ×œ×§×‘×¦×™×',
	'can_rate' => '××•×¨×—×™× ×™×›×•×œ×™× ×œ×“×¨×’ ×§×‘×¦×™×',
	'user_gal' => '×’×œ×¨×™×™×ª ×ž×©×ª×ž×©',
	'no_cat' => '* ×œ×œ× ×§×˜×’×•×¨×™×” *',
	'alb_empty' => '××œ×‘×•× ×¨×™×§',
	'last_uploaded' => '×§×•×‘×¥ ××—×¨×•×Ÿ ×©× ×•×¡×£',
	'public_alb' => '×›×•×œ× (××œ×‘×•× ×¦×™×‘×•×¨×™)',
	'me_only' => '×× ×™ ×‘×œ×‘×“',
	'owner_only' => '×‘×¢×œ ×”××œ×‘×•× (%s) ×‘×œ×‘×“',
	'groupp_only' => '×¨×§ ×—×‘×¨×™× ×‘×§×‘×•×¦×” "%s"',
	'err_no_alb_to_modify' => '×œ× × ×ž×¦× ××œ×‘×•× ×©×‘××¤×©×¨×•×ª×š ×œ×¢×“×›×Ÿ',
	'update' => '×¢×“×›×•×Ÿ ×”××œ×‘×•×',
	'notice1' => '(*) ×ª×œ×•×™ ×‘×”×’×“×¨×•×ª %s×§×‘×•×¦×•×ª%s', //cpg1.3.0 (do not translate %s!)
);

// ------------------------------------------------------------------------- //
// File ratepic.php
// ------------------------------------------------------------------------- //

if (defined('RATEPIC_PHP')) $lang_rate_pic_php = array(
	'already_rated' => '×›×‘×¨ ×“×¨×’×ª ××ª ×”×§×•×‘×¥ ×‘×¢×‘×¨',
	'rate_ok' => '×”×¦×‘×¢×ª×š × ×§×œ×˜×”',
	'forbidden' => '××™×Ÿ ×‘××¤×©×¨×•×ª×š ×œ×“×¨×’ ××ª ×”×§×‘×¦×™× ×©×œ ×¢×¦×ž×š.', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File register.php & profile.php
// ------------------------------------------------------------------------- //

if (defined('REGISTER_PHP') || defined('PROFILE_PHP')) {

$lang_register_disclamer = <<<EOT
×ž× ×”×œ ×”×’×œ×¨×™×” ×™×©×ª×“×œ ×œ×”×¡×™×¨ ×›×œ ×—×•×ž×¨ ×¤×•×’×¢ ×”×ž×‘×™×¨×•×ª ×”××¤×©×¨×™×ª. ×¢× ×–××ª, ×™×© ×œ×–×›×•×¨ ×©×œ× × ×™×ª×Ÿ ×œ×¡×¨×•×§ ×›×œ ×¤×™×¡×ª ×ž×™×“×¢ ××• ×§×•×‘×¥. ×›×œ ×”×ž×™×“×¢ ×”×ž×¤×•×¨×¡× ×‘××ª×¨ ×ž×‘×˜× ××ª ×”×©×§×¤×•×ª×™×”× ×©×œ ×”×ž×©×ª×ž×©×™× ×•×œ× ×©×œ ×ž× ×”×œ×™ ×”××ª×¨ (×ž×œ×‘×“ ×ž×™×“×¢ ×©×”× ×¢×¦×ž× ×¤×¨×¡×ž×•). ××™ ×œ×›×š ×ž× ×”×œ×™ ×”××ª×¨ ××™× × ××—×¨××™× ×œ×›×œ ×¤×’×™×¢×” ××• × ×–×§ ×›×ª×•×¦××” ×ž×ž×¢×©×™×”× ×©×œ ×”×ž×©×ª×ž×©×™× ×‘××ª×¨.
<br />
<br />
××™×Ÿ ×œ×¤×¨×¡× ×‘××ª×¨ ×›×œ ×—×•×ž×¨ ×”×ž×•×’×“×¨ ×›: ×¤×’×™×¢×”, ×”×©×ž×¦×”, ×¢×œ×‘×•×Ÿ, ×”×¡×ª×”, ××™×•×, ×ª×•×¢×‘×”, ××• ×›×œ ×¡×•×’ ××—×¨ ×©××™× ×• ×¢×•×œ×” ×‘×§× ×” ××—×“ ×¢× ×”×—×•×§. ××™×Ÿ ×œ×¤×¨×¡× ×‘××ª×¨ ×—×•×ž×¨ ×”×ž×•×’×Ÿ ×‘×–×›×•×™×•×ª ×™×•×¦×¨×™×, ×œ×ž×¢×˜ ×× ×‘×¢×œ ×”×–×›×•×™×•×ª × ×ª×Ÿ ×”×¨×©××” ×ž×¤×•×¨×©×ª ×œ×¤×¨×¡×•×. ×ž× ×”×œ×™ ×”××ª×¨ ×™×¡×™×¨×• ××• ×™×¢×¨×›×• ×ž×™×“×¢ ×œ×¤×™ ×©×™×§×•×œ ×“×¢×ª× ×”×‘×œ×¢×“×™. ×›×œ ×”×ž×™×“×¢ ×‘××ª×¨ × ×©×ž×¨ ×‘×ž××’×¨ ×ž×™×“×¢. ×”××ª×¨ ××™× ×• ×ž×™×•×¢×“ ×œ×©×ž×© ×›×’×™×‘×•×™ ×œ×ž×™×“×¢ ×©×œ ×”×ž×©×ª×ž×©×™× ××œ× ×›×œ×•×— ×¤×¨×¡×•× ×–×ž× ×™. ×ž× ×”×œ×™ ×”××ª×¨ ××™× × ××—×¨××™× ×œ××•×‘×“×Ÿ ××• ×’× ×™×‘×” ×©×œ ×ž×™×“×¢.
<br />
<br />
××ª×¨ ×–×” ×ž×©×ª×ž×© ×‘"×¢×•×’×™×•×ª" (Cookies) ×œ××—×¡×•×Ÿ ×ž×™×“×¢ ×‘×ª×•×›× ×ª ×”×’×œ×™×©×” ×©×œ×š. "×¢×•×’×™×•×ª" ××œ×” × ×•×¢×“×• ×œ×”×§×œ ×¢×œ ×”×©×™×ž×•×© ×‘××ª×¨ ×•××™× ×Ÿ ×’×•×¨×ž×•×ª ×œ×›×œ × ×–×§ ××• ×¤×’×™×¢×” ×‘×¤×¨×˜×™×•×ª. ×›×ª×•×‘×ª ×”×“×•××¨ ×”××œ×§×˜×¨×•× ×™×ª ×©×œ×š ×ª×©×ž×© ×¨×§ ×œ×©×œ×™×—×ª ×”×•×“×¢×•×ª ×ž×”××ª×¨.
<br />
<br />
×œ×—×™×¦×” ×¢×œ "×× ×™ ×ž×¡×›×™×ž/×”" ×ž×”×•×•×” ××™×©×•×¨×š ×œ×”×‘× ×” ×•×§×‘×œ×” ×ž×œ××” ×©×œ ×›×œ ×”××ž×•×¨ ×œ×¢×™×œ.
EOT;

$lang_register_php = array(
	'page_title' => '×¨×™×©×•× ×ž×©×ª×ž×©/×ª',
	'term_cond' => '×ª× ××™ ×”×©×™×ž×•×© ×‘××ª×¨',
	'i_agree' => '×× ×™ ×ž×¡×›×™×ž/×”',
	'submit' => '×©×œ×™×—×ª ×‘×§×©×ª ×”×”×¨×©×ž×”',
	'err_user_exists' => '×©× ×”×ž×©×ª×ž×©/×ª ×©×‘×—×¨×ª ×›×‘×¨ ×ª×¤×•×¡, ×™×© ×œ×‘×—×•×¨ ×©× ××—×¨',
	'err_password_mismatch' => '×”×¡×™×¡×ž××•×ª ××™× ×Ÿ ×ª×•××ž×•×ª, × × ×œ×”×§×™×©×Ÿ ×©×•×‘',
	'err_uname_short' => ' ×©× ×”×ž×©×ª×ž×©/×ª ×—×™×™×‘ ×œ×”×›×™×œ ×œ×¤×—×•×ª 2 ××•×ª×™×•×ª (×”×ž×œ×¦×”: 4 ×ª×•×™× ×œ×¤×—×•×ª)',
	'err_password_short' => '×”×¡×™×¡×ž× ×—×™×™×‘×ª ×œ×”×›×™×œ ×œ×¤×—×•×ª 2 ×ª×•×™× (×”×ž×œ×¦×”: 6 ×ª×•×™× ×œ×¤×—×•×ª)',
	'err_uname_pass_diff' => '×”×©× ×•×”×¡×™×¡×ž× ××™× × ×™×›×•×œ×™× ×œ×”×™×•×ª ×–×”×™×',
	'err_invalid_email' => '×›×ª×•×‘×ª ×”×“×•××¨ ×”××œ×§×˜×¨×•× ×™ ××™× ×” ×ª×§×™× ×”',
	'err_duplicate_email' => '×ž×™×©×”×• ××—×¨ ×›×‘×¨ ×ž×©×ª×ž×© ×‘×›×ª×•×‘×ª ×”×“×•××¨ ×”××œ×§×˜×¨×•× ×™ ×©×¦×™×™× ×ª',
	'enter_info' => '× × ×œ×ž×œ× ××ª ×¤×¨×˜×™ ×”×¨×™×©×•×',
	'required_info' => '×ž×™×“×¢ ×—×•×‘×”',
	'optional_info' => '×ž×™×“×¢ ×¨×©×•×ª',
	'username' => '×©× ×ž×©×ª×ž×©/×ª',
	'password' => '×¡×™×¡×ž×',
	'password_again' => '×•×™×“×•× ×¡×™×¡×ž×',
	'email' => '×“×•××¨ ××œ×§×˜×¨×•× ×™',
	'location' => '×ž×§×•×',
	'interests' => '×ª×—×•×ž×™ ×¢× ×™×Ÿ',
	'website' => '×›×ª×•×‘×ª ××ª×¨',
	'occupation' => '×¢×™×¡×•×§',
	'error' => '×ª×§×œ×”',
	'confirm_email_subject' => '%s - ××™×©×•×¨ ×¨×™×©×•×',
	'information' => '×ž×™×“×¢',
	'failed_sending_email' => '×œ× × ×™×ª×Ÿ ×œ×©×œ×•×— ×”×•×“×¢×ª ××™×©×•×¨ ×¨×™×©×•×',
	'thank_you' => '×ª×•×“×” ×©× ×¨×©×ž×ª.<br /><br />× ×©×œ×—×” ×”×•×“×¢×” ×œ×›×ª×•×‘×ª ×”×“×•××¨ ×”××œ×§×˜×¨×•× ×™ ×©×¦×™×™× ×ª, ×¢× ×”×•×¨××•×ª ×œ×”×¤×¢×œ×ª ×—×©×‘×•× ×š.',
	'acct_created' => '×—×©×‘×•× ×š × ×¤×ª×— ×•×‘××¤×©×¨×•×ª×š ×œ×”×ª×—×‘×¨ ×‘××ž×¦×¢×•×ª ×”×©× ×•×”×¡×™×¡×ž× ×©×‘×—×¨×ª',
	'acct_active' => '×—×©×‘×•× ×š ×”×•×¤×¢×œ ×•×‘××¤×©×¨×•×ª×š ×œ×”×ª×—×‘×¨ ×‘××ž×¦×¢×•×ª ×”×©× ×•×”×¡×™×¡×ž× ×©×‘×—×¨×ª',
	'acct_already_act' => '×—×©×‘×•× ×š ×›×‘×¨ ×¤×¢×™×œ!',
	'acct_act_failed' => '×œ× × ×™×ª×Ÿ ×œ×”×¤×¢×™×œ ×—×©×‘×•×Ÿ ×–×”!',
	'err_unk_user' => '×”×ž×©×ª×ž×© ×©× ×‘×—×¨ ××™× ×• ×§×™×™×!',
	'x_s_profile' => '×”×¤×¨×•×¤×™×œ ×©×œ %s',
	'group' => '×§×‘×•×¦×”',
	'reg_date' => '×”×¦×˜×¨×¤×•×ª',
	'disk_usage' => '× ×¤×— ×“×™×¡×§ ×‘×©×™×ž×•×©',
	'change_pass' => '×©×™× ×•×™ ×¡×™×¡×ž×',
	'current_pass' => '×¡×™×¡×ž× × ×•×›×—×™×ª',
	'new_pass' => '×¡×™×¡×ž× ×—×“×©×”',
	'new_pass_again' => '×•×™×“×•× ×¡×™×¡×ž× ×—×“×©×”',
	'err_curr_pass' => '×”×¡×™×¡×ž× ×”× ×•×›×—×™×ª ×©×’×•×™×”',
	'apply_modif' => '×‘×™×¦×•×¢ ×”×©×™× ×•×™×™×',
	'change_pass' => '×©×™× ×•×™ ×¡×™×¡×ž×',
	'update_success' => '×”×¤×¨×•×¤×™×œ ×©×œ×š ×¢×•×“×›×Ÿ',
	'pass_chg_success' => '×¡×™×¡×ž×ª×š ×¢×•×“×›× ×”',
	'pass_chg_error' => '×¡×™×¡×ž×ª×š ×œ× ×¢×•×“×›× ×”',
	'notify_admin_email_subject' => '%s - Registration notification', //cpg1.3.0
	'notify_admin_email_body' => 'A new user with the username "%s" has registered in your gallery', //cpg1.3.0
);

$lang_register_confirm_email = <<<EOT
Thank you for registering at {SITE_NAME}

Your username is : "{USER_NAME}"
Your password is : "{PASSWORD}"

In order to activate your account, you need to click on the link below
or copy and paste it in your web browser.

{ACT_LINK}

Regards,

The management of {SITE_NAME}

EOT;

}

// ------------------------------------------------------------------------- //
// File reviewcom.php
// ------------------------------------------------------------------------- //

if (defined('REVIEWCOM_PHP')) $lang_reviewcom_php = array(
	'title' => '×¡×§×™×¨×ª ×”×¢×¨×•×ª',
	'no_comment' => '××™×Ÿ ×”×¢×¨×•×ª ×œ×¡×§×•×¨',
	'n_comm_del' => '%s ×”×¢×¨×•×ª × ×ž×—×§×•',
	'n_comm_disp' => '×ž×¡×¤×¨ ×”×¢×¨×•×ª ×œ×”×¦×’×”',
	'see_prev' => '×“×£ ×”×‘×',
	'see_next' => '×“×£ ×§×•×“×',
	'del_comm' => '×ž×—×™×§×ª ×”×”×¢×¨×•×ª ×”×ž×¡×•×ž× ×•×ª',
);


// ------------------------------------------------------------------------- //
// File search.php - OK
// ------------------------------------------------------------------------- //

if (defined('SEARCH_PHP')) $lang_search_php = array(
	0 => '×—×™×¤×•×© ×‘×ž××’×¨ ×”×§×‘×¦×™×',
);

// ------------------------------------------------------------------------- //
// File searchnew.php
// ------------------------------------------------------------------------- //

if (defined('SEARCHNEW_PHP')) $lang_search_new_php = array(
	'page_title' => '×—×™×¤×•×© ×§×‘×¦×™× ×—×“×©×•×ª',
	'select_dir' => '×‘×—×™×¨×ª ×ž×—×™×¦×”',
	'select_dir_msg' => '×¤×¢×•×œ×” ×–×• ×ž××¤×©×¨×ª ×œ×š ×œ×”×•×¡×™×£ ×¡×“×¨×ª ×§×‘×¦×™× ×©×›×‘×¨ ×”×¢×‘×¨×ª ××œ ×”××ª×¨ ×‘-FTP.<br /><br />×¢×œ×™×š ×œ×‘×—×•×¨ ××ª ×”×ž×—×™×¦×” ×‘×©×¨×ª ×©×‘×” × ×ž×¦××™× ×”×§×‘×¦×™×',
	'no_pic_to_add' => '××™×Ÿ ×§×‘×¦×™× ×œ×”×•×¡×™×£',
	'need_one_album' => '×¦×¨×™×š ×œ×™×¦×•×¨ ×œ×¤×—×•×ª ××œ×‘×•× ××—×“ ×›×“×™ ×œ×”×©×ª×ž×© ×‘×¤×¢×•×œ×” ×–×•',
	'warning' => '××–×”×¨×”',
	'change_perm' => '×”×ª×•×›× ×™×ª ××™× ×” ×™×›×•×œ×” ×œ×›×ª×•×‘ ×‘×ž×—×™×¦×” ×–×•. ×¢×œ×™×š ×œ×©× ×•×ª ××ª ×”×”×¨×©××” ×œ- 755 ××• 777 ×›×“×™ ×œ×”×•×¡×™×£ ×§×‘×¦×™×!',
	'target_album' => '<b>×”×•×¡×¤×ª ×§×‘×¦×™× ×©×œ "</b>%s<b>" ××œ </b>%s',
	'folder' => '×ª×™×§×™×”',
	'image' => '×§×•×‘×¥',
	'album' => '××œ×‘×•×',
	'result' => '×ª×•×¦××”',
	'dir_ro' => '×œ× × ×™×ª×Ÿ ×œ×›×ª×™×‘×”. ',
	'dir_cant_read' => '×œ× × ×™×ª×Ÿ ×œ×§×¨×™××”. ',
	'insert' => '×”×•×¡×¤×ª ×§×•×‘×¥ ×—×“×© ×œ×’×œ×¨×™×”',
	'list_new_pic' => '×¨×©×™×ž×ª ×§×‘×¦×™× ×—×“×©×™×',
	'insert_selected' => '×”×›× ×¡×ª ×”×§×‘×¦×™× ×”×—×“×©×™×',
	'no_pic_found' => '×œ× × ×ž×¦× ××£ ×§×•×‘×¥ ×—×“×©',
	'be_patient' => '× × ×œ×”×ž×ª×™×Ÿ ×‘×¡×‘×œ× ×•×ª ×¢×“ ×©×”×ª×•×›× ×™×ª ×ª×¡×™×™× ×œ×”×•×¡×™×£ ××ª ×”×§×‘×¦×™×',
	'no_album' => '×œ× × ×‘×—×¨ ××œ×‘×•×',  //cpg1.3.0
	'notes' =>  '×ž×§×¨×<ul>'.
				'<li><b>OK</b> : ×”×§×•×‘×¥ × ×•×¡×£ ×‘×”×¦×œ×—×”'.
				'<li><b>DP</b> : ×”×§×•×‘×¥ (××• ×§×•×‘×¥ ×–×”×”) ×›×‘×¨ × ×ž×¦× ×‘×ž××’×¨'.
				'<li><b>PB</b> : ×”×•×¡×¤×ª ×”×§×•×‘×¥ × ×›×©×œ×”. ×™×© ×œ×‘×“×•×§ ××ª ×”×’×“×¨×•×ª ×”×ž×¢×¨×›×ª ×•××ª ×”×”×¨×©××•×ª ×œ×ž×—×™×¦×•×ª'.
				'<li>×× ×¡×™×ž×Ÿ OK/DP/PB ×œ× ×”×•×¤×™×¢, ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×ž×¡×’×¨×ª ×”×§×•×‘×¥ ×•×œ×‘×“×•×§ ××ª ×”×•×“×¢×ª ×”×©×’×™××” ×ž×ž× ×•×¢ PHP'.
				'<li><b>NA</b> : ×œ× ×‘×—×¨×ª ××œ×‘×•× ××œ×™×• ×™×ª×•×•×¡×¤×• ×”×§×‘×¦×™×. ×™×© ×œ×”×§×œ×™×§ ×¢×œ \'<a href="javascript:history.back(1)">×—×–×¨×”</a>\' ×•×œ×‘×—×•×¨ ××œ×‘×•×. ×× ×˜×¨× ×”×§×ž×ª ××œ×‘×•×ž×™× ××– ×§×•×“× ×¢×œ×™×š <a href="albmgr.php">×œ×¤×ª×•×— ××œ×‘×•× ×—×“×©</a></li>'.
				'<li>×× ×ª×•×›× ×ª ×”×’×œ×™×©×” ×ž×•×“×™×¢×” "Time out", ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×›×¤×ª×•×¨ Refresh/Reload'.
				'</ul>',
);


// ------------------------------------------------------------------------- //
// File thumbnails.php
// ------------------------------------------------------------------------- //

// Void


// ------------------------------------------------------------------------- //
// File banning.php
// ------------------------------------------------------------------------- //

if (defined('BANNING_PHP')) $lang_banning_php = array(
	'title' => '×—×¡×™×ž×ª ×ž×©×ª×ž×©×™×',
	'user_name' => '×©× ×ž×©×ª×ž×©',
	'ip_address' => '×›×ª×•×‘×ª&nbsp;IP',
	'expiry' => '×‘×ª×•×§×£ ×¢×“ (×¢×¨×š ×¨×™×§ = ×§×‘×•×¢)',
	'edit_ban' => '×©×ž×™×¨×ª ×©×™× ×•×™×™×',
	'delete_ban' => '×ž×—×™×§×”',
	'add_new' => '×”×•×¡×¤×ª ×—×¡×™×ž×”',
	'add_ban' => '×”×•×¡×¤×”',
	'error_user' => '×œ× × ×ž×¦× ×ž×©×ª×ž×©', //cpg1.3.0
	'error_specify' => '×™×© ×œ×”×§×œ×™×“ ×©× ×ž×©×ª×ž×© ××• ×›×ª×•×‘×ª IP', //cpg1.3.0
	'error_ban_id' => '×ž×¡×¤×¨ (ID) ×—×¡×™×ž×” ×œ× ×ª×§×™×Ÿ!', //cpg1.3.0
	'error_admin_ban' => '××™×Ÿ ×‘××¤×©×¨×•×ª×š ×œ×—×¡×•× ××ª ×¢×¦×ž×š!', //cpg1.3.0
	'error_server_ban' => '×”×ª×›×•×•× ×ª ×œ×—×¡×•× ××ª ×”×©×¨×ª ×©×œ ×¢×¦×ž×š? ××™×Ÿ ××¤×©×¨×•×ª ×œ×¢×©×•×ª ×–××ª...', //cpg1.3.0
	'error_ip_forbidden' => '××™×Ÿ ××¤×©×¨×•×ª ×œ×—×¡×•× ×›×ª×•×‘×ª IP ×–×• ×ž×›×™×•×Ÿ ×©×”×™× non-routable!', //cpg1.3.0
	'lookup_ip' => '×‘×“×™×§×ª ×›×ª×•×‘×ª IP', //cpg1.3.0
	'submit' => '×©×œ×—!', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File upload.php
// ------------------------------------------------------------------------- //

if (defined('UPLOAD_PHP')) $lang_upload_php = array(
	'title' => '×”×•×¡×¤×ª ×§×•×‘×¥',
	'custom_title' => '×ž×ž×©×§ ×˜×¢×™× ×ª ×§×‘×¦×™×', //cpg1.3.0
	'cust_instr_1' => '×‘××¤×©×¨×•×ª×š ×œ×‘×—×•×¨ ××ª ×ž×¡×¤×¨ ×”×§×‘×¦×™× ×œ×”×¢×œ××”, ××š ×œ× ×™×•×ª×¨ ×ž×”×ž×§×¡×™×ž×•× ×”×ž×¤×•×¨×˜ ×œ×”×œ×Ÿ.', //cpg1.3.0
	'cust_instr_2' => '×§×‘×™×¢×ª ×ž×¡×¤×¨ ×©×“×•×ª', //cpg1.3.0
	'cust_instr_3' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž×”×ž×—×©×‘ ×©×œ×š: %s', //cpg1.3.0
	'cust_instr_4' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž-URL/×§×™×©×•×¨×™×: %s', //cpg1.3.0
	'cust_instr_5' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž-URL/×§×™×©×•×¨×™×:', //cpg1.3.0
	'cust_instr_6' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž×”×ž×—×©×‘ ×©×œ×š:', //cpg1.3.0
	'cust_instr_7' => '× × ×œ×”×–×™×Ÿ ××ª ×ž×¡×¤×¨ ×”×§×‘×¦×™× ×”×ž×‘×•×§×© ×œ×›×œ ×¡×•×’ ×˜×¢×™× ×” ×•×œ×¡×™×•× ×œ×”×§×œ×™×§ ×¢×œ "×”×ž×©×š". ', //cpg1.3.0
	'reg_instr_1' => '×¤×¢×•×œ×” ×œ× ×ª×§×™× ×” ×‘×™×¦×™×¨×ª ×˜×•×¤×¡.', //cpg1.3.0
	'reg_instr_2' => '×›×¢×ª ×‘××¤×©×¨×•×ª×š ×œ×”×¢×œ×•×ª ××ª ×”×§×‘×¦×™×. ×”×’×•×“×œ ×”×ž×¨×‘×™ ×œ×›×œ ×§×•×‘×¥ ×”×•× %s&nbsp;KB. ×§×‘×¦×™ ZIP ×©×”×•×¢×œ×• ×“×¨×š "×˜×¢×™× ×ª ×§×‘×¦×™×" ××• "×˜×¢×™× ×ª ×§×™×©×•×¨×™×" ×™×©××¨×• ×“×—×•×¡×™×.', //cpg1.3.0
	'reg_instr_3' => '×× ×‘×¨×¦×•× ×š ×©×”×§×‘×¦×™× ×”×“×—×•×¡×™× (ZIP) ×™×¤×ª×—×•, ×¢×œ×™×š ×œ×”×¢×œ×•×ª ××ª ×”×§×‘×¦×™× ×“×¨×š "×˜×¢×™× ×ª ×§×‘×¦×™× ×“×—×•×¡×™×"', //cpg1.3.0
	'reg_instr_4' => '×‘×˜×¢×™× ×ª ×§×™×©×•×¨×™× × × ×œ×¦×™×™×Ÿ ××ª × ×ª×™×‘ ×”×§×™×©×•×¨ ×¢×œ ×¤×™ ×”×“×•×’×ž×: http://www.mysite.com/images/example.jpg', //cpg1.3.0
	'reg_instr_5' => '×‘×¡×™×•× ×ž×™×œ×•×™ ×”×ž×¡×š × × ×œ×”×§×œ×™×§ ×¢×œ "×”×ž×©×š".', //cpg1.3.0
	'reg_instr_6' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×“×—×•×¡×™× ×ž×”×ž×—×©×‘ ×©×œ×š:', //cpg1.3.0
	'reg_instr_7' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž×”×ž×—×©×‘ ×©×œ×š:', //cpg1.3.0
	'reg_instr_8' => '×˜×¢×™× ×ª ×§×‘×¦×™× ×ž-URL/×§×™×©×•×¨×™×:', //cpg1.3.0
	'error_report' => '×“×•"×— ×ª×§×œ×•×ª', //cpg1.3.0
	'error_instr' => '×—×œ×• ×ª×§×œ×•×ª ×‘×˜×¢×™× ×ª ×”×§×‘×¦×™× ×”×‘××™×:', //cpg1.3.0
	'file_name_url' => '×©× ×§×•×‘×¥ / × ×ª×™×‘ ×§×™×©×•×¨', //cpg1.3.0
	'error_message' => '×”×•×“×¢×ª ×”×ª×§×œ×”', //cpg1.3.0
	'no_post' => '×”×§×•×‘×¥ ×œ× × ×©×œ×— ×‘××ž×¦×¢×•×ª ×©×™×˜×ª POST.', //cpg1.3.0
	'forb_ext' => '×§×•×‘×¥ ×‘×¢×œ ×¡×™×•×ž×ª ××¡×•×¨×”.', //cpg1.3.0
	'exc_php_ini' => '×’×•×“×œ ×”×§×•×‘×¥ ×—×•×¨×’ ×ž×”×ž×§×¡×™×ž×•× ×”×ž×•×’×“×¨ ×‘- php.ini.', //cpg1.3.0
	'exc_file_size' => '×’×•×“×œ ×”×§×•×‘×¥ ×—×•×¨×’ ×ž×”×ž×§×¡×™×ž×•× ×©×§×‘×¢ ×ž× ×”×œ ×”×’×œ×¨×™×”.', //cpg1.3.0
	'partial_upload' => '×”×§×•×‘×¥ × ×˜×¢×Ÿ ×‘××•×¤×Ÿ ×—×œ×§×™.', //cpg1.3.0
	'no_upload' => '×œ× ×”×•×¢×œ×” ×§×•×‘×¥..', //cpg1.3.0
	'unknown_code' => '×§×•×“ ×ª×§×œ×ª PHP ×œ× ×ž×•×’×“×¨.', //cpg1.3.0
	'no_temp_name' => '×˜×¢×™× ×” × ×›×©×œ×” - ×œ× × ×•×¦×¨ ×©× ×–×ž× ×™.', //cpg1.3.0
	'no_file_size' => '×œ× ×ž×›×™×œ ×ª×•×›×Ÿ ××• ×ž×©×•×‘×©.', //cpg1.3.0
	'impossible' => '×œ× × ×™×ª×Ÿ ×œ×”×¢×‘×™×¨ ×œ×ž×—×™×¦×ª ×”×™×¢×“.', //cpg1.3.0
	'not_image' => '×œ× ×ª×ž×•× ×” ××• ×ž×©×•×‘×©.', //cpg1.3.0
	'not_GD' => '×¡×™×•×ž×ª ×œ× × ×ª×ž×›×ª ×¢"×™ GD', //cpg1.3.0
	'pixel_allowance' => '×”×’×•×“×œ ×‘×¤×™×§×¡×œ×™× ×—×•×¨×’ ×ž×”×ž×•×ª×¨', //cpg1.3.0
	'incorrect_prefix' => '×§×™×“×•×ž×ª × ×ª×™×‘ ×§×™×©×•×¨ (URL) ×©×’×•×™×”', //cpg1.3.0
	'could_not_open_URI' => '×”×’×™×©×” ×œ× ×ª×™×‘ ×”×§×™×©×•×¨ × ×›×©×œ×”.', //cpg1.3.0
	'unsafe_URI' => '× ×ª×™×‘ ×”×§×™×©×•×¨ ××™× ×• ×‘×˜×•×—.', //cpg1.3.0
	'meta_data_failure' => '× ×›×©×œ×” ×§×¨×™××ª ×ž×™×“×¢ × ×œ×•×•×” (Meta data).', //cpg1.3.0
	'http_401' => '401 Unauthorized', //cpg1.3.0
	'http_402' => '402 Payment Required', //cpg1.3.0
	'http_403' => '403 Forbidden', //cpg1.3.0
	'http_404' => '404 Not Found', //cpg1.3.0
	'http_500' => '500 Internal Server Error', //cpg1.3.0
	'http_503' => '503 Service Unavailable', //cpg1.3.0
	'MIME_extraction_failure' => '×œ× × ×™×ª×Ÿ ×œ×—×œ×¥ ××ª ×¡×•×’ ×”- MIME.', //cpg1.3.0
	'MIME_type_unknown' => '×¡×•×’ MIME ×œ× ×ž×–×•×”×”', //cpg1.3.0
	'cant_create_write' => '×œ× × ×™×ª×Ÿ ×œ×™×¦×•×¨ ×§×•×‘×¥ ×œ×›×ª×™×‘×”.', //cpg1.3.0
	'not_writable' => '×œ× × ×™×ª×Ÿ ×œ×›×ª×•×‘ ×œ×§×•×‘×¥ ×”×›×ª×™×‘×”.', //cpg1.3.0
	'cant_read_URI' => '×œ× × ×™×ª×Ÿ ×œ×§×¨×•× ×§×™×©×•×¨ (URL).', //cpg1.3.0
	'cant_open_write_file' => '×œ× × ×™×ª×Ÿ ×œ×™×¦×•×¨ ×§×•×‘×¥ ×œ×›×ª×™×‘×”.', //cpg1.3.0
	'cant_write_write_file' => '×œ× × ×™×ª×Ÿ ×œ×›×ª×•×‘ ×œ×§×•×‘×¥ ×”×›×ª×™×‘×”.', //cpg1.3.0
	'cant_unzip' => '× ×›×©×œ×” ×¤×ª×™×—×ª ×”×“×—×™×¡×” (Unzip).', //cpg1.3.0
	'unknown' => '×ª×§×œ×” ×œ× ×ž×•×’×“×¨×ª', //cpg1.3.0
	'succ' => '×˜×¢×™× ×•×ª ×ª×§×™× ×•×ª', //cpg1.3.0
	'success' => '%s ×˜×¢×™× ×•×ª ×”×¦×œ×™×—×•.', //cpg1.3.0
	'add' => '× × ×œ×”×§×œ×™×§ ×¢×œ "×”×ž×©×š" ×›×“×™ ×œ×”×•×¡×™×£ ××ª ×”×§×‘×¦×™× ×œ××œ×‘×•×.', //cpg1.3.0
	'failure' => '×ª×§×œ×ª ×˜×¢×™× ×”', //cpg1.3.0
	'f_info' => '×ž×™×“×¢ ×¢×œ ×”×§×•×‘×¥', //cpg1.3.0
	'no_place' => '×”×¢×‘×¨×ª ×”×§×•×‘×¥ ×”×§×•×“× ×œ×ž×§×•×ž×• × ×›×©×œ×”.', //cpg1.3.0
	'yes_place' => '×”×§×•×‘×¥ ×”×§×•×“× ×”×•×¢×‘×¨ ×œ×ž×§×•×ž×• ×‘×”×¦×œ×—×”.', //cpg1.3.0
	'max_fsize' => '×’×•×“×œ ×”×§×•×‘×¥ ×”×ž×§×¡×™×ž×œ×™ ×”×ž×•×ª×¨ %s&nbsp;KB',
	'album' => '××œ×‘×•×',
	'picture' => '×§×•×‘×¥',
	'pic_title' => '×›×•×ª×¨×ª ×”×§×•×‘×¥',
	'description' => '×ª××•×¨ ×”×§×•×‘×¥',
	'keywords' => '×ž×™×œ×•×ª ×ž×¤×ª×— (×ž×•×¤×¨×“×•×ª ×‘×¨×•×•×—×™×)',
	'err_no_alb_uploadables' => '×œ× × ×ž×¦× ××œ×‘×•× ×©××œ×™×• ×ž×•×ª×¨ ×œ×š ×œ×”×•×¡×™×£ ×§×‘×¦×™×',
	'place_instr_1' => '× × ×œ×ž×§× ×›×œ ×§×•×‘×¥ ×‘××œ×‘×•×. ×‘××¤×©×¨×•×ª×š ×’× ×œ×”×•×¡×™×£ ×¤×¨×˜×™× ×œ×›×œ ×§×•×‘×¥.', //cpg1.3.0
	'place_instr_2' => '×™×© ×¢×•×“ ×§×‘×¦×™× ×©×¦×¨×™×š ×œ×ž×§×. × × ×œ×”×§×œ×™×§ ×¢×œ "×”×ž×©×š".', //cpg1.3.0
	'process_complete' => '×›×œ ×”×§×‘×¦×™× ×ž×•×§×ž×• ×‘×”×¦×œ×—×”.', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File usermgr.php
// ------------------------------------------------------------------------- //

if (defined('USERMGR_PHP')) $lang_usermgr_php = array(
	'title' => '× ×™×”×•×œ ×ž×©×ª×ž×©×™×',
	'name_a' => '×©×, ×¡×“×¨ ×¢×•×œ×”',
	'name_d' => '×©×, ×¡×“×¨ ×™×•×¨×“',
	'group_a' => '×§×‘×•×¦×”, ×¡×“×¨ ×¢×•×œ×”',
	'group_d' => '×§×‘×•×¦×”, ×¡×“×¨ ×™×•×¨×“',
	'reg_a' => '×ª××¨×™×š ×¨×™×©×•×, ×¡×“×¨ ×¢×•×œ×”',
	'reg_d' => '×ª××¨×™×š ×¨×™×©×•×, ×¡×“×¨ ×™×•×¨×“',
	'pic_a' => '×ž×¡×¤×¨ ×§×‘×¦×™×, ×¡×“×¨ ×¢×•×œ×”',
	'pic_d' => '×ž×¡×¤×¨ ×§×‘×¦×™×, ×¡×“×¨ ×™×•×¨×“',
	'disku_a' => '× ×™×¦×•×œ ×“×™×¡×§, ×¡×“×¨ ×¢×•×œ×”',
	'disku_d' => '× ×™×¦×•×œ ×“×™×¡×§, ×¡×“×¨ ×™×•×¨×“',
	'lv_a' => '×›× ×™×¡×” ××—×¨×•× ×”, ×¡×“×¨ ×¢×•×œ×”', //cpg1.3.0
	'lv_d' => '×›× ×™×¡×” ××—×¨×•× ×”, ×¡×“×¨ ×™×•×¨×“', //cpg1.3.0
	'sort_by' => '×ž×™×•×Ÿ ×ž×©×ª×ž×©×™× ×œ×¤×™',
	'err_no_users' => '×˜×‘×œ×ª ×”×ž×©×ª×ž×©×™× ×¨×™×§×”!',
	'err_edit_self' => '××™×Ÿ ×‘××¤×©×¨×•×ª×š ×œ×¢×¨×•×š ×›××Ÿ ××ª ×”×¤×¨×•×¤×™×œ ×©×œ ×¢×¦×ž×š, ×œ×©× ×›×š ×™×© ×œ×”×§×œ×™×§ ×¢×œ ×§×™×©×•×¨ "×”×¤×¨×•×¤×™×œ ×©×œ×™"',
	'edit' => '×¢×¨×™×›×”',
	'delete' => '×ž×—×™×§×”',
	'name' => '×©× ×ž×©×ª×ž×©',
	'group' => '×§×‘×•×¦×”',
	'inactive' => '×œ× ×¤×¢×™×œ',
	'operations' => '×¤×¢×•×œ×•×ª',
	'pictures' => '×§×‘×¦×™×',
	'disk_space' => '× ×¤×— ×ž× ×•×¦×œ / ×”×¨×©××”',
	'registered_on' => '×¨×™×©×•× ×ž×ª××¨×™×š',
	'last_visit' => '×›× ×™×¡×” ××—×¨×•× ×”', //cpg1.3.0
	'u_user_on_p_pages' => '%d ×ž×©×ª×ž×©×™× ×‘- %d ×“×¤×™×',
	'confirm_del' => '×”×× ××ª/×” ×‘×˜×•×—/×” ×©×‘×¨×¦×•× ×š ×œ×ž×—×•×§ ×ž×©×ª×ž×© ×–×”?\\n×›×œ ×”××œ×‘×•×ž×™× ×•×”×§×‘×•×¦×•×ª ×©×œ×• ×™×ž×—×§×• ×œ×œ× ××¤×©×¨×•×ª ×©×—×–×•×¨!',
	'mail' => '×“×•×"×œ',
	'err_unknown_user' => '×”×ž×©×ª×ž×© ×©× ×‘×—×¨ ××™× ×• ×§×™×™×',
	'modify_user' => '×©×™× ×•×™ ×ž×©×ª×ž×©',
	'notes' => '×”×¢×¨×•×ª',
	'note_list' => '<li>×× ××™× ×š ×¨×•×¦×” ×œ×©× ×•×ª ××ª ×”×¡×™×¡×ž×, ×¢×œ×™×š ×œ×”×©××™×¨ ××ª ×©×“×” ×”×¡×™×¡×ž× ×¨×™×§',
	'password' => '×¡×™×¡×ž×',
	'user_active' => '×ž×©×ª×ž×© ×¤×¢×™×œ',
	'user_group' => '×§×‘×•×¦×”',
	'user_email' => '×“×•×"×œ',
	'user_web_site' => '××ª×¨ ××™× ×˜×¨× ×˜',
	'create_new_user' => '×”×’×“×¨×ª ×ž×©×ª×ž×© ×—×“×©',
	'user_location' => '×ž×§×•×',
	'user_interests' => '×ª×—×•×ž×™ ×¢× ×™×Ÿ',
	'user_occupation' => '×¢×™×¡×•×§',
	'latest_upload' => '×§×‘×¦×™× ××—×¨×•× ×™×', //cpg1.3.0
	'never' => '××£ ×¤×¢×', //cpg1.3.0
);

// ------------------------------------------------------------------------- //
// File util.php
// ------------------------------------------------------------------------- //

if (defined('UTIL_PHP')) $lang_util_php = array(
        'title' => '×©×™× ×•×™ ×’×•×“×œ ×§×‘×¦×™×',
        'what_it_does' => '×ž×” ×–×” ×¢×•×©×”',
        'what_update_titles' => '×ž×¢×“×›×Ÿ ×›×•×ª×¨×•×ª ×ž×©×ž×•×ª ×”×§×‘×¦×™×',
        'what_delete_title' => '×ž×•×—×§ ×›×•×ª×¨×•×ª',
        'what_rebuild' => '×‘×•× ×” ×ž×—×“×© ×“×•×’×ž×™×•×ª ×•×ª×ž×•× ×•×ª ×‘×’×“×•×œ ×ž×•×’×“×¨',
        'what_delete_originals' => '×ž×•×—×§ ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×”×ž×§×•×¨×™ ×•×ž×—×œ×™×¤×Ÿ ×‘×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×•×’×“×¨',
        'file' => '×§×•×‘×¥',
        'title_set_to' => '×›×•×ª×¨×ª ×©×•× ×ª×” ×œ-',
        'submit_form' => '××™×©×•×¨',
        'updated_succesfully' => '×¢×•×“×›×Ÿ ×‘×”×¦×œ×—×”',
        'error_create' => '×ª×§×œ×” ×‘×™×¦×™×¨×ª',
        'continue' => '×”×ž×©×š ×œ×¢×‘×“ ×ª×ž×•× ×•×ª × ×•×¡×¤×•×ª',
        'main_success' => '×”×§×•×‘×¥ %s × ×§×œ×˜ ×‘×¦×œ×—×” ×›×§×•×‘×¥ ×¨××©×™',
        'error_rename' => '×ª×§×œ×” ×‘×©×™× ×•×™ ×”×©× %s ×œ- %s',
        'error_not_found' => '×”×§×•×‘×¥ %s ×œ× × ×ž×¦×',
        'back' => '×—×–×¨×” ×œ×¨××©×™',
        'thumbs_wait' => '×ž×¢×“×›×Ÿ ×“×•×’×ž×™×•×ª ×•/××• ×ª×ž×•× ×•×ª - × × ×œ×”×ž×ª×™×Ÿ...',
        'thumbs_continue_wait' => '×ž×ž×©×™×š ×œ×¢×“×›×Ÿ ×“×’×•×ž×™×•×ª ×•/××• ×ª×ž×•× ×•×ª...',
        'titles_wait' => '×ž×¢×“×›×Ÿ ×›×•×ª×¨×•×ª, × × ×œ×”×ž×ª×™×Ÿ...',
        'delete_wait' => '×ž×•×—×§ ×›×•×ª×¨×•×ª, × × ×œ×”×ž×ª×™×Ÿ...',
        'replace_wait' => '×ž×•×—×§ ×ª×ž×•× ×•×ª ×ž×§×•×¨×™×•×ª ×•×ž×—×œ×™×£ ××•×ª×Ÿ ×‘×ª×ž×•× ×•×ª ×‘×’×“×•×œ ×ž×•×’×“×¨, × × ×œ×”×ž×ª×™×Ÿ...',
        'instruction' => '×”×•×¨××•×ª ×ž×§×•×¦×¨×•×ª',
        'instruction_action' => '×‘×—×™×¨×ª ×¤×¢×•×œ×”',
        'instruction_parameter' => '×§×‘×™×¢×ª ×¤×¨×ž×˜×¨×™×',
        'instruction_album' => '×‘×—×™×¨×ª ××œ×‘×•×',
        'instruction_press' => '×”×§×œ×§×” ×¢×œ %s',
        'update' => '×¢×“×›×•×Ÿ ×“×•×’×ž×™×•×ª ×•/××• ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×•×’×“×¨',
        'update_what' => '×ž×” ×¦×¨×™×š ×œ×¢×“×›×Ÿ',
        'update_thumb' => '×¨×§ ×“×•×’×ž×™×•×ª',
        'update_pic' => '×¨×§ ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×•×’×“×¨',
        'update_both' => '×”×Ÿ ×“×•×’×ž×™×•×ª ×•×”×Ÿ ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×•×’×“×¨',
        'update_number' => '×ž×¡×¤×¨ ×ª×ž×•× ×•×ª ×œ×¢×™×‘×•×“ ×‘×›×œ ×§×œ×™×§',
        'update_option' => '(×™×© ×œ×‘×—×•×¨ ×‘×¢×¨×š × ×ž×•×š ×™×•×ª×¨ ×× ×ž×•×¤×™×¢×•×ª ×ª×§×œ×•×ª ××• ×”×•×“×¢×•×ª Timeout)',
        'filename_title' => '×©× ×§×•×‘×¥ = ×›×•×ª×¨×ª',
        'filename_how' => '×›×™×¦×“ ×œ×¢×‘×“ ××ª ×©× ×”×§×•×‘×¥',
        'filename_remove' => '×”×¡×¨×ª ×”×¡×™×•×ž×ª (×›×’×•×Ÿ JPG) ×•×”×—×œ×¤×ª ×§×•-×ª×—×ª×•×Ÿ __ ×‘×¨×•×•×—.',
        'filename_euro' => '×§×¨× ×ª××¨×™×š ×ª××¨×™×š ×‘×ž×‘× ×” ××¨×•×¤××™ - ×ª×¨×’× 20_20_13_23_11_2003 ×œ: 13:20 23/11/2003',
        'filename_us' => '×§×¨× ×ª××¨×™×š ×‘×ž×‘× ×” ××ž×¨×™×§××™ - ×ª×¨×’× 20_20_13_23_11_2003 ×œ: 13:20 11/23/2003',
        'filename_time' => '×§×¨× ×–×ž×Ÿ ×‘×œ×‘×“ - ×ª×¨×’× 20_20_13_23_11_2003 ×œ: 13:20',
        'delete' => '×ž×—×™×§×ª ×›×•×ª×¨×•×ª ××• ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×§×•×¨×™',
        'delete_title' => '×ž×—×™×§×ª ×›×•×ª×¨×•×ª',
        'delete_original' => '×ž×—×™×§×ª ×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×ž×§×•×¨×™',
        'delete_replace' => '×ž×—×™×§×ª ×ª×ž×•× ×•×ª ×‘×’×“×•×œ ×ž×§×•×¨×™ ×•×”×—×œ×¤×ª×Ÿ ×‘×ª×ž×•× ×•×ª ×‘×’×•×“×œ ×§×‘×•×¢',
        'select_album' => '×‘×—×™×¨×ª ××œ×‘×•×',
	'delete_orphans' => '×ž×—×™×§×ª ×”×¢×¨×•×ª "×™×ª×•×ž×•×ª" (×ž×›×œ ×”××œ×‘×•×ž×™×).', //cpg1.3.0
	'orphan_comment' => '×”×¢×¨×•×ª "×™×ª×•×ž×•×ª" × ×ž×¦××•', //cpg1.3.0
	'delete' => '×ž×—×§', //cpg1.3.0
	'delete_all' => '×ž×—×§ ×”×›×œ', //cpg1.3.0
	'comment' => '×”×¢×¨×”: ', //cpg1.3.0
	'nonexist' => '×ž×§×•×©×¨×ª ×œ×§×•×‘×¥ ×©××™× ×• ×§×™×™× # ', //cpg1.3.0
	'phpinfo' => '×”×¦×’×ª ×ž×™×“×¢&nbsp;PHP&nbsp;', //cpg1.3.0
	'update_db' => '×¢×“×›×•×Ÿ ×ž×¡×“ ×”× ×ª×•× ×™×', //cpg1.3.0
	'update_db_explanation' => '×× ×©×™× ×™×ª ×§×‘×¦×™ ×ª×•×›× ×” ×©×œ ×”×’×œ×¨×™×”, ××• ×”×ª×§× ×ª ×ª×•×¡×¤×™×, ××• ×©×“×¨×’×ª ××ª ×’×¨×¡×ª ×”×’×œ×¨×™×” ×ž×’×¨×¡×” ×§×•×“×ž×ª, ×¢×œ×™×š ×œ×‘×¦×¢ "×¢×“×›×•×Ÿ ×ž×¡ × ×ª×•× ×™×" ×¤×¢× ××—×ª. ×¤×¢×•×œ×” ×–×• ×ª×™×¦×•×¨ ××ª ×˜×‘×œ××•×ª ×”× ×ª×•× ×™× ×•/××• ×¢×¨×›×™ ×”×’×“×¨×•×ª ×‘×ž×¡×“ ×”× ×ª×•× ×™×.', //cpg1.3.0
);

?>

